package com.oqpo.api;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@EnableFeignClients
@EnableCaching
@SpringBootApplication
@ComponentScan("com.oqpo.api")
public class OqpoApiApplication {
	public static void main(String[] args) {
		SpringApplication.run(OqpoApiApplication.class, args);
	}
}