package com.oqpo.api.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.session.data.redis.config.ConfigureRedisAction;
import org.springframework.session.data.redis.config.annotation.web.http.EnableRedisHttpSession;
import org.springframework.session.web.context.AbstractHttpSessionApplicationInitializer;

@Configuration
@EnableRedisHttpSession(redisNamespace = "${spring.session.redis.namespace}" , maxInactiveIntervalInSeconds = 3600)
public class HttpSessionConfig extends AbstractHttpSessionApplicationInitializer {
    @Bean
    public static ConfigureRedisAction configureRedisAction() {
        //test job
        return ConfigureRedisAction.NO_OP;
    }
}
