package com.oqpo.api.entity.loanmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class LoanMgntDtlHstEntity implements Serializable {

    @ApiModelProperty(value = "여신관리고유번호")
    private String loanMgntUnqNo;
    @ApiModelProperty(value = "여신등록일자")
    private String loanRegDt;
    @ApiModelProperty(value = "여신등록시각")
    private String loanRegTm;
    @ApiModelProperty(value = "여신등록일시")
    private String loanRegDtm;
    @ApiModelProperty(value = "입금지급구분")
    private String dpstPayDvsn;
    @ApiModelProperty(value = "입금지급구분명")
    private String dpstPayDvsnNm;
    @ApiModelProperty(value = "거래금액")
    private Long trscAmt;
    @ApiModelProperty(value = "입금금액")
    private Long dpstAmt;
    @ApiModelProperty(value = "지급금액")
    private Long paymAmt;
    @ApiModelProperty(value = "거래전잔액")
    private Long trscBfBal;
    @ApiModelProperty(value = "거래후잔액")
    private Long trscAfBal;
    @ApiModelProperty(value = "매체구분")
    private String mediaDvsn;
    @ApiModelProperty(value = "매체구분명")
    private String mediaDvsnNm;
    @ApiModelProperty(value = "입금계좌번호")
    private String rcvAcctNo;
    @ApiModelProperty(value = "지급계좌번호")
    private String paymAcctNo;
    @ApiModelProperty(value = "입금일자")
    private String dpstDt;
    @ApiModelProperty(value = "입금자명")
    private String dpstNm;
    @ApiModelProperty(value = "입금은행코드")
    private String dpstBnkCd;
    @ApiModelProperty(value = "입금은행명")
    private String dpstBnkNm;
    @ApiModelProperty(value = "입금관리번호")
    private String dsptMgntNo;
    @ApiModelProperty(value = "비고")
    private String loanDesc;
    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디")
    private String sysRegId;
    @ApiModelProperty(value = "시스템변경일시")
    private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디")
    private String sysChgId;

    @ApiModelProperty(value = "결제유형")
    private String payType;
}
