package com.oqpo.api.entity.oper;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class InterfaceEntity implements Serializable {

    private static final long serialVersionUID = 3490897309397304868L;

    @ApiModelProperty(value = "IF번호")
    private String ifNo;
    @ApiModelProperty(value = "IF ID")
    private String ifId;
    @ApiModelProperty(value = "IF명")
    private String ifNm;
    @ApiModelProperty(value = "사용여부")
    private String useYn;
    @ApiModelProperty(value = "사용여부명")
    private String useYnNm;
    @ApiModelProperty(value = "연동정보")
    private String linkInfo;
    @ApiModelProperty(value = "통신방식코드")
    private String comMethCd;
    @ApiModelProperty(value = "통신방식명")
    private String comMethNm;
    @ApiModelProperty(value = "송수신구분코드")
    private String srTpCd;
    @ApiModelProperty(value = "송수신구분명")
    private String srTpNm;
    @ApiModelProperty(value = "송수신URL")
    private String ifUrl;
    @ApiModelProperty(value = "API 설명")
    private String apiInfo;
    @ApiModelProperty(value = "전송파라메타설명")
    private String requestInfo;
    @ApiModelProperty(value = "수신파라메타설명")
    private String responseInfo;
    @ApiModelProperty(value = "등록일")
    private String addDt;
    @ApiModelProperty(value = "등록자아이디")
    private String addId;
    @ApiModelProperty(value = "등록자명")
    private String addNm;
    @ApiModelProperty(value = "수정일")
    private String chgDt;
    @ApiModelProperty(value = "수정자아이디")
    private String chgId;
    @ApiModelProperty(value = "수정자명")
    private String chgNm;
}
