package com.oqpo.api.entity.oper;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class MainChartEntity implements Serializable {

    private Integer pr20Val;        /* 구매요청 */
    private Integer pr30Val;
    private Integer pr40Val;

    private Integer po20Val;        /* 발주요청 */
    private Integer po30Val;        /* 발주접수 */
    private Integer po99Val;        /* 발주취소 */

    private String itemNm;          /* 품목명 */
    private Integer itemCnt;
    private Integer sftStckQty;     /* 안전재고수량 */
    private Integer stckQty;        /* 재고수량 */

    private Integer st10Val;
    private Integer st20Val;
    private Integer st30Val;

    private Integer dlvVal;

    private Long dp02Val;           /* 입금승인금액 */
    private Long unpaidAmt;         /* 미납금액 */
    private Long poPsblAmt;         /* 구매가능금액 */
    private Integer ordersCount;    /* 수주건수 */
    private Long ordersAmt;         /* 수주금액 */
    private Long sttlReqAmt;        /* 정산요청금액 */

}
