package com.oqpo.api.entity.rtnmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

@Getter
@Setter
@ToString
public class RtnProcInfoPtclEntity implements Serializable {

    @ApiModelProperty(value = "반품관리고유번호")
    private String rtnMgntUnqNo;
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;
    @ApiModelProperty(value = "품목아이디")
    private String itemId;
    @ApiModelProperty(value = "품목명")
    private String itemNm;
    @ApiModelProperty(value = "창고아이디")
    private String whsId;
    @ApiModelProperty(value = "창고명")
    private String whsNm;
    @ApiModelProperty(value = "LOCATION")
    private String location;
    @ApiModelProperty(value = "LOCATION명")
    private String locationNm;
    @ApiModelProperty(value = "단위")
    private String unit;
    @ApiModelProperty(value = "단가금액")
    private long unitAmt;
    @ApiModelProperty(value = "반품요청수량")
    private int rtnReqQty;
    @ApiModelProperty(value = "반품발주수량")
    private int rtnOdrQty;
    @ApiModelProperty(value = "반품수거요청수량")
    private int colReqQty;
    @ApiModelProperty(value = "수거수량")
    private int colQty;
    @ApiModelProperty(value = "수거요청일자")
    private String colReqDt;
    @ApiModelProperty(value = "수거예정일자")
    private String colSchDt;
    @ApiModelProperty(value = "수거일자")
    private String colDt;
    @ApiModelProperty(value = "수거확인자")
    private String colCnfmNm;
    @ApiModelProperty(value = "수거담당자명")
    private String colMgrNm;
    @ApiModelProperty(value = "수거담당자전화번호")
    private String colMgrTelNo;
    @ApiModelProperty(value = "수거담당자이메일")
    private String colMgrEmal;
    @ApiModelProperty(value = "수거담당자휴대전화번호")
    private String colMgrMblNo;
    @ApiModelProperty(value = "수거금액")
    private long colAmt;
    @ApiModelProperty(value = "수거동의여부")
    private String colAgrYn;
    @ApiModelProperty(value = "수거확인서파일번호")
    private String colCnfmDocFileNo;
    @ApiModelProperty(value = "정산여부")
    private String sttlYn;
    @ApiModelProperty(value = "공급사아이디")
    private String spplyId;
    @ApiModelProperty(value = "공급사명")
    private String spplyNm;
    @ApiModelProperty(value = "수거지시고유번호")
    private String colCmdUnqNo;
    @ApiModelProperty(value = "수거지시상세번호")
    private String colCmdDtlNo;
    @ApiModelProperty(value = "반품발주고유번호")
    private String rtnPodrUnqNo;
    @ApiModelProperty(value = "반품발주상세번호")
    private String rtnPodrDtlNo;
    @ApiModelProperty(value = "반품요청고유번호")
    private String rtnReqUnqNo;
    @ApiModelProperty(value = "반품요청상세번호")
    private String rtnReqDtlNo;
    @ApiModelProperty(value = "정산관리고유번호")
    private String sttlMgntUnqNo;
    @ApiModelProperty(value = "정산관리상세번호")
    private String sttlMgntDtlNo;
    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디")
    private String sysRegId;
    @ApiModelProperty(value = "시스템변경일시")
    private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디")
    private String sysChgId;
    @ApiModelProperty(value = "수거서번호")
    private String colPickUnqNo;
    @ApiModelProperty(value = "수거서항번")
    private String colPickDtlNo;


}
