package com.oqpo.api.entity.rtnmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class RtnReqDtlPtclEntity implements Serializable {

    @ApiModelProperty(value = "반품요청고유번호") private String rtnReqUnqNo;
    @ApiModelProperty(value = "반품요청상세번호") private String rtnReqDtlNo;
    @ApiModelProperty(value = "품목아이디") private String itemId;
    @ApiModelProperty(value = "품목명") private String itemNm;
    @ApiModelProperty(value = "단위") private String unit;
    @ApiModelProperty(value = "반품수량") private Integer rtnQty;
    @ApiModelProperty(value = "반품금액") private Long rtnAmt;
    @ApiModelProperty(value = "반품구분") private String rtnDvsn;
    @ApiModelProperty(value = "반품구분명") private String rtnDvsnNm;
    @ApiModelProperty(value = "반품사유") private String rtnRsn;
    @ApiModelProperty(value = "공급사아이디") private String spplyId;
    @ApiModelProperty(value = "공급사명") private String spplyNm;
    @ApiModelProperty(value = "단가금액") private Long unitAmt;
    @ApiModelProperty(value = "매장단가고유번호") private String storeUnitUnqNo;
    @ApiModelProperty(value = "반품예상금액") private Long rtnExpctAmt;
    @ApiModelProperty(value = "반품사유구분") private String rtnRsnDvsn;
    @ApiModelProperty(value = "반품사유구분명") private String rtnRsnDvsnNm;
    @ApiModelProperty(value = "시스템등록일시") private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디") private String sysRegId;
    @ApiModelProperty(value = "시스템변경일시") private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디") private String sysChgId;
    @ApiModelProperty(value = "브랜드단가고유번호") private String brandUnitUnqNo;
    @ApiModelProperty(value = "단가구분") private String unitGubun;
    @ApiModelProperty(value = "반품요청상세상태") private String rtnReqDtlStCd;
    @ApiModelProperty(value = "반품요청상세명") private String rtnReqDtlStNm;
    @ApiModelProperty(value = "반품요청상세상태건수") private Integer rtnReqStatusCnt;
    @ApiModelProperty(value = "수거구분") private String colDvsn;
    @ApiModelProperty(value = "수거구분명") private String colDvsnNm;





}
