package com.oqpo.api.entity.settmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class PgKiccPayPtclEntity implements Serializable {

    @ApiModelProperty(value = "주문번호")
    private String poOrdNo;
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;
    @ApiModelProperty(value = "몰아이디")
    private String mallId;
    @ApiModelProperty(value = "결제번호")
    private String paymentNo;
    @ApiModelProperty(value = "거래타입(O:주문,C:취소)")
    private String tranType;
    @ApiModelProperty(value = "거래타입명")
    private String tranTypeNm;
    @ApiModelProperty(value = "응답코드")
    private String resCd;
    @ApiModelProperty(value = "응답메시지")
    private String resMsg;
    @ApiModelProperty(value = "PG거래번호")
    private String cno;
    @ApiModelProperty(value = "총 결제금액")
    private String amount;
    @ApiModelProperty(value = "승인번호")
    private String authNo;
    @ApiModelProperty(value = "거래일시")
    private String tranDate;
    @ApiModelProperty(value = "상태코드")
    private String statCd;
    @ApiModelProperty(value = "상태메시지")
    private String statMsg;
    @ApiModelProperty(value = "결제수단")
    private String payType;
    @ApiModelProperty(value = "카드번호")
    private String cardNo;
    @ApiModelProperty(value = "발급사코드")
    private String issuerCd;
    @ApiModelProperty(value = "발급사명")
    private String issuerNm;
    @ApiModelProperty(value = "매입사코드")
    private String acquirerCd;
    @ApiModelProperty(value = "매입사명")
    private String acquirerNm;
    @ApiModelProperty(value = "할부개월")
    private String installPeriod;
    @ApiModelProperty(value = "무이자여부")
    private String noint;
    @ApiModelProperty(value = "취소여부")
    private String cancelYn;
    @ApiModelProperty(value = "취소일시")
    private String cancelDate;
    @ApiModelProperty(value = "삭제여부")
    private String delYn;
    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디")
    private String sysRegId;
    @ApiModelProperty(value = "시스템변경일시")
    private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디")
    private String sysChgId;

}
