package com.oqpo.api.entity.stockmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class DmandFrcstCndtInfoEntity implements Serializable {

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "기간수(최대6)")
    private Integer termCnt;
    @ApiModelProperty(value = "가중치1(가중치의합은1)")
    private Float weightVal1;
    @ApiModelProperty(value = "가중치2(가중치의합은1)")
    private Float weightVal2;
    @ApiModelProperty(value = "가중치3(가중치의합은1)")
    private Float weightVal3;
    @ApiModelProperty(value = "가중치4(가중치의합은1)")
    private Float weightVal4;
    @ApiModelProperty(value = "가중치5(가중치의합은1)")
    private Float weightVal5;
    @ApiModelProperty(value = "가중치6(가중치의합은1)")
    private Float weightVal6;
    @ApiModelProperty(value = "평활계수(0과1사이)")
    private Float coefficient;
    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디")
    private String sysRegId;
    @ApiModelProperty(value = "시스템변경일시")
    private String sysChgDttm;
    @ApiModelProperty(value = "시스템병경아이디")
    private String sysChgId;

}
