package com.oqpo.api.entity.stockmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Getter
@Setter
@ToString
public class StckMgntBaseInfoEntity implements Serializable {

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "창고아이디")
    private String whsId;
    @ApiModelProperty(value = "LOCATION")
    private String location;
    @ApiModelProperty(value = "품목아이디")
    private String itemId;
    @ApiModelProperty(value = "단위")
    private String unit;
    @ApiModelProperty(value = "재고수량")
    private int stckQty;
    @ApiModelProperty(value = "출고대기수량")
    private int waitQty;
    @ApiModelProperty(value = "적정재고수량")
    private int prpStckQty;
    @ApiModelProperty(value = "안전재고비율")
    private BigDecimal sftStckRt;
    @ApiModelProperty(value = "현재고비율")
    private BigDecimal curStckRt;
    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디")
    private String sysRegId;
    @ApiModelProperty(value = "시스템변경일시")
    private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디")
    private String sysChgId;

    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "창고명")
    private String whsNm;
    @ApiModelProperty(value = "LOCATION명")
    private String locationNm;
    @ApiModelProperty(value = "품목명")
    private String itemNm;

    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;

    @ApiModelProperty(value = "관련번호")
    private String relationNo;

    @ApiModelProperty(value = "출고가능수량")
    private Integer whsPassQty;

    @ApiModelProperty(value = "엑셀실사수량")
    private String  excelQty;



}
