package com.oqpo.api.entity.stockmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class StckMgntDtlHistEntity implements Serializable {

    @ApiModelProperty(value = "재고관리상세번호")
    private String stckMgntDtlNo;
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "창고아이디")
    private String whsId;
    @ApiModelProperty(value = "LOCATION")
    private String location;
    @ApiModelProperty(value = "품목아이디")
    private String itemId;
    @ApiModelProperty(value = "품목명")
    private String itemNm;
    @ApiModelProperty(value = "입출고구분")
    private String inoutCd;
    @ApiModelProperty(value = "입출고구분명")
    private String inoutNm;
    @ApiModelProperty(value = "입고수량")
    private int inoutQty;
    @ApiModelProperty(value = "입고관리고유번호")
    private String whsMgntUnqNo;
    @ApiModelProperty(value = "반품관리고유번호")
    private String rtnMgntUnqNo;
    @ApiModelProperty(value = "변경구분(재고이동/구매입고/반품입고/구매출고/반품출고/판매출고/재고실사)")
    private String chgDvsn;
    @ApiModelProperty(value = "변경구분명")
    private String chgDvsnNm;
    @ApiModelProperty(value = "관련번호")
    private String relationNo;
    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디")
    private String sysRegId;
    @ApiModelProperty(value = "시스템변경일시")
    private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디")
    private String sysChgId;
}
