package com.oqpo.api.entity.stockmng;

import com.oqpo.api.entity.CodeEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Getter
@Setter
@ToString
public class WhsMgntBaseInfoEntity implements Serializable {

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "창고아이디")
    private String whsId;
    @ApiModelProperty(value = "창고명")
    private String whsNm;
    @ApiModelProperty(value = "창고관리구분(본사,매장)")
    private String whsDvsn;
    @ApiModelProperty(value = "창고관리명")
    private String whsDvsnNm;
    @ApiModelProperty(value = "담당자명")
    private String mgrNm;
    @ApiModelProperty(value = "담당자전화번호")
    private String mgrTelNo;
    @ApiModelProperty(value = "우편번호")
    private String zipNo;
    @ApiModelProperty(value = "주소1")
    private String addr1;
    @ApiModelProperty(value = "주소2")
    private String addr2;
    @ApiModelProperty(value = "창고상태코드")
    private String whsStCd;
    @ApiModelProperty(value = "창고상태명")
    private String whsStNm;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;

    @ApiModelProperty(value = "창고기본여부")
    private String baseYn;

    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디")
    private String sysRegId;
    @ApiModelProperty(value = "시스템변경일시")
    private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디")
    private String sysChgId;

    private WhsMgntBaseLocEntity locationInfo;


}
