package com.oqpo.api.entity.stockmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class WhsProcInfoPtclEntity implements Serializable {

    @ApiModelProperty(value = "입고관리고유번호")
    private String whsMgntUnqNo;
    @ApiModelProperty(value = "납품서상세번호")
    private String dlvSttmtDtlNo;
    @ApiModelProperty(value = "납품서고유번호")
    private String dlvSttmtUnqNo;
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;
    @ApiModelProperty(value = "공급사아이디")
    private String spplyId;
    @ApiModelProperty(value = "공급사명")
    private String spplyNm;
    @ApiModelProperty(value = "창고아이디")
    private String whsId;
    @ApiModelProperty(value = "LOCATION")
    private String location;
    @ApiModelProperty(value = "창고명")
    private String whsNm;
    @ApiModelProperty(value = "LOCATION명")
    private String locationNm;
    @ApiModelProperty(value = "창고구분")
    private String whsDvsn;
    @ApiModelProperty(value = "창고구분명")
    private String whsDvsnNm;
    @ApiModelProperty(value = "단가")
    private Long unitAmt;
    @ApiModelProperty(value = "발주수량")
    private Integer podrQty;
    @ApiModelProperty(value = "납품수량")
    private Integer dlvQty;
    @ApiModelProperty(value = "입고수량")
    private Integer whsQty;
    @ApiModelProperty(value = "단위")
    private String unit;
    @ApiModelProperty(value = "단위명")
    private String unitNm;
    @ApiModelProperty(value = "납품요청일자")
    private String dlvReqDt;
    @ApiModelProperty(value = "납품예정일자")
    private String dlvSchDt;
    @ApiModelProperty(value = "납품완료일자")
    private String dlvCmpltDt;
    @ApiModelProperty(value = "입고확인자")
    private String whsCnfmNm;
    @ApiModelProperty(value = "납품담당자명")
    private String dlvMgrNm;
    @ApiModelProperty(value = "납품담당자전화번호")
    private String dlvMgrTelNo;
    @ApiModelProperty(value = "납품담당자이메일")
    private String dlvMgrEmal;
    @ApiModelProperty(value = "납품담당자휴대전화번호")
    private String dlvMgrMblNo;
    @ApiModelProperty(value = "품목아이디")
    private String itemId;
    @ApiModelProperty(value = "품목명")
    private String itemNm;
    @ApiModelProperty(value = "입고금액")
    private Long whsAmt;
    @ApiModelProperty(value = "입고배송비")
    private String whsDlvChrg;
    @ApiModelProperty(value = "납품담당자아이디")
    private String dlvMgrId;
    @ApiModelProperty(value = "납품확인서파일번호")
    private String dlvCnfmDocFileNo;
    @ApiModelProperty(value = "정산여부")
    private String sttlYn;
    @ApiModelProperty(value = "구매발주고유번호")
    private String pchPodrUnqNo;
    @ApiModelProperty(value = "구매발주상세번호")
    private String pchPodrDtlNo;
    @ApiModelProperty(value = "구매요청고유번호")
    private String pchReqUnqNo;
    @ApiModelProperty(value = "구매요청상세번호")
    private String pchReqDtlNo;
    @ApiModelProperty(value = "출하요청고유번호")
    private String shmtReqUnqNo;
    @ApiModelProperty(value = "출하요청상세번호")
    private String shmtReqDtlNo;
    @ApiModelProperty(value = "정산관리고유번호")
    private String sttlMgntUnqNo;
    @ApiModelProperty(value = "정산관리상세번호")
    private String sttlMgntDtlNo;
    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디")
    private String sysRegId;
    @ApiModelProperty(value = "시스템변경일시")
    private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디")
    private String sysChgId;






}
