package com.oqpo.api.enums;

import lombok.Getter;

@Getter
public enum DataMessageCode {
    DUPLICATE_NO ("N", "사용 가능한 아이디 입니다."),
    DUPLICATE_YES ("Y", "사용 할 수 없는 아이디 입니다."),
    DUPLICATE_CODE_NO ("N", "사용 가능한 코드 입니다."),
    DUPLICATE_CODE_YES ("Y", "사용 할 수 없는 코드 입니다."),
    OK_PCHORD ("Y", ""),  //발주 생성 가능합니다.
    NOT_NEQWHSID ("N", "동일한 납품장소로 발주를 진행해야 합니다.!"),
    NOT_NEQSPPLY ("N", "동일한 공급사로 발주를 진행해야 합니다.!"),
    NOT_NEQDLVDT ("N", "동일한 납품요청일로 발주를 진행해야 합니다.!"),
    NOT_NONSPPLY ("N", "공급업체정보가 없습니다.!"),
    NOT_NONPO ("N", "발주생성을 할 수 없습니다.!"),
    DUPLICATE_NO_KEY ("N", "사용 가능한 KEY 입니다."),
    DUPLICATE_YES_KEY ("Y", "사용 할 수 없는 KEY 입니다."),
    NOT_NONRTN ("N", "반품 발주생성을 할 수 없습니다.!"),
    ;

    private String id;
    private String message;

    DataMessageCode(String id, String message) {
        this.id = id;
        this.message = message;
    }
}
