package com.oqpo.api.mapper.loanmng;


import com.oqpo.api.entity.loanmng.LoanMgntBaseInfoEntity;
import com.oqpo.api.entity.loanmng.LoanMgntDsptProcEntity;
import com.oqpo.api.entity.loanmng.LoanMgntDtlHstEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DsptMngMapper {

    List<LoanMgntDsptProcEntity> selectDsptMngGridList(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("sDpstStCd") String sDpstStCd,
                                                       @Param("fromDt") String fromDt, @Param("toDt") String toDt, GridRequest gridRequest) throws Exception;

    int selectDsptMngGridCnt(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("sDpstStCd") String sDpstStCd,
                             @Param("fromDt") String fromDt, @Param("toDt") String toDt) throws Exception;

    LoanMgntDsptProcEntity selectLoanMgntDsptProcInfo(@Param("dsptMgntNo") String dsptMgntNo) throws Exception;

    LoanMgntDsptProcEntity selectLoanMgntDsptProcInfo4Org(@Param("dsptMgntNo") String dsptMgntNo) throws Exception;

    int insertLoanMgntDsptProcInfo(@Param("userId") String userId, LoanMgntDsptProcEntity entity) throws Exception;

    int updateLoanMgntDsptProcInfo4Approve(@Param("userId") String userId, LoanMgntDsptProcEntity entity) throws Exception;

    int updateLoanMgntDsptProcInfo4Reject(@Param("userId") String userId, LoanMgntDsptProcEntity entity) throws Exception;

    int deleteLoanMgntDsptProcInfo(@Param("userId") String userId, LoanMgntDsptProcEntity entity) throws Exception;

    LoanMgntBaseInfoEntity selectLoanMgntBaseInfo(@Param("brandId") String brandId, @Param("storeId") String storeId) throws Exception;

    int updateLoanMgntBaseInfo4AcctBal(@Param("userId") String userId, LoanMgntBaseInfoEntity entity) throws Exception;

    int insertLoanMgntDtlHst(@Param("userId") String userId, LoanMgntDtlHstEntity entity) throws Exception;

}
