package com.oqpo.api.mapper.loanmng;


import com.oqpo.api.entity.inoutmng.DeliDtlMgntEntity;
import com.oqpo.api.entity.loanmng.LoanMgntBaseInfoEntity;
import com.oqpo.api.entity.loanmng.LoanMgntDtlHstEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface LoanStateMapper {

    List<LoanMgntBaseInfoEntity> selectLoanStateGridList(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("sLoanDvsn") String sLoanDvsn, @Param("sUseYn") String sUseYn,
                                                         GridRequest gridRequest) throws Exception;

    int selectLoanStateGridCnt(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("sLoanDvsn") String sLoanDvsn, @Param("sUseYn") String sUseYn) throws Exception;

    LoanMgntBaseInfoEntity selectLoanMgntBaseInfo(@Param("loanMgntUnqNo") String loanMgntUnqNo) throws Exception;

    List<LoanMgntDtlHstEntity> selectLoanHistGridList(@Param("sLoanMgntUnqNo") String sLoanMgntUnqNo, @Param("sDpstPayDvsn") String sDpstPayDvsn,
                                                      @Param("fromDt") String fromDt, @Param("toDt") String toDt,
                                                      GridRequest gridRequest) throws Exception;

    int selectLoanHistGridCnt(@Param("sLoanMgntUnqNo") String sLoanMgntUnqNo, @Param("sDpstPayDvsn") String sDpstPayDvsn,
                              @Param("fromDt") String fromDt, @Param("toDt") String toDt) throws Exception;


    LoanMgntBaseInfoEntity selectLoanJobDataInfo(@Param("storeId") String storeId)  throws Exception;

    int updateloanPchReqUseAmt(@Param("loanMgntUnqNo") String loanMgntUnqNo, @Param("storeId") String storeId, @Param("ordPchReqAmt") long ordPchReqAmt) throws Exception;
    int updateloanMinusPchReqUseAmt(@Param("loanMgntUnqNo") String loanMgntUnqNo, @Param("storeId") String storeId, @Param("ordPchReqAmt") long ordPchReqAmt) throws Exception;

    int updateloanMinusInstProc(@Param("loanMgntUnqNo") String loanMgntUnqNo, @Param("storeId") String storeId, @Param("useAmtTotal") long useAmtTotal) throws Exception;

    int updateListLoanMinusProc(@Param("userId") String userId, List<LoanMgntBaseInfoEntity> gridUpdateData ) throws Exception;

    int updateloanRtnacctBalAmt(@Param("userId") String userId, LoanMgntBaseInfoEntity entity) throws Exception;

    LoanMgntBaseInfoEntity selectLoanRtnDataInfo(@Param("storeId") String storeId)  throws Exception;

    int updateloanAutoSttl(@Param("userId") String userId, @Param("loanMgntUnqNo") String loanMgntUnqNo, @Param("storeId") String storeId, @Param("sttlAmt") long sttlAmt) throws Exception;


}
