package com.oqpo.api.mapper.stinfo;

import com.oqpo.api.entity.stinfo.StoreBaseInfoEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StoreBaseInfoMapper {

    List<StoreBaseInfoEntity> selectPopStoreGridList(@Param("sBrandId") String brandId, @Param("sStoreNm") String storeNm, GridRequest gridRequest)throws Exception;
    int selectPopStoreGridCnt(@Param("sBrandId") String brandId, @Param("sStoreNm") String storeNm)throws Exception;

    List<StoreBaseInfoEntity> selectStoreGridList( @Param("sBrandId") String sBrandId, @Param("searchDateType") String searchDateType, @Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("sStoreDvsn") String sStoreDvsn, @Param("sStoreStCd") String sStoreStCd, @Param("sLoanDvsn") String sLoanDvsn, @Param("sStoreNm") String sStoreNm, GridRequest gridRequest)throws Exception;
    int selectStoreGridCnt(@Param("sBrandId") String sBrandId, @Param("searchDateType") String searchDateType, @Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("sStoreDvsn") String sStoreDvsn, @Param("sStoreStCd") String sStoreStCd, @Param("sLoanDvsn") String sLoanDvsn, @Param("sStoreNm") String sStoreNm)throws Exception;

    StoreBaseInfoEntity selectStoreInfo(@Param("brandId") String brandId, @Param("storeId") String storeId)throws Exception;

    int insertStoreInfo(@Param("userId") String userId, StoreBaseInfoEntity entity) throws Exception;
    int updateStoreInfo(@Param("userId") String userId, StoreBaseInfoEntity entity) throws Exception;

    String selectStoreInitPw(@Param("brandId") String brandId, @Param("storeId") String storeId)throws Exception;

    StoreBaseInfoEntity selectStoreLoanInfo(@Param("brandId") String brandId, @Param("storeId") String storeId)throws Exception;

    int updateCloseStore(@Param("userId") String userId, @Param("brandId") String brandId, @Param("afflShopId") String afflShopId) throws Exception;

    String selectStoreLoanMgntUnqNo( @Param("storeId") String storeId)throws Exception;

    int updateBoStoreChgInfo(@Param("userId") String userId, StoreBaseInfoEntity entity) throws Exception;

    String selectStoreLoanDvsn(@Param("storeId") String storeId) throws Exception;
}
