package com.oqpo.api.web.dto.request.inoutmng;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class RtnStockTragetGridRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "매장")
    private String sStoreId;

    @ApiModelProperty(value = "수거서번호")
    private String sColPickUnqNo;

    @NotBlank
    @ApiModelProperty(value = "시작일자")
    private String fromDt;

    @NotBlank
    @ApiModelProperty(value = "종료일자")
    private String toDt;

    @NotBlank
    @ApiModelProperty(value = "수거창고아이디")
    private String sRtnWhsId;

    @ApiModelProperty(value = "공급업체코드")
    private String sSpplyId;

    @ApiModelProperty(value = "반품입고창고아이디")
    private String sWhsId;

    @ApiModelProperty(value = "품목명")
    private String sItemNm;




    protected RtnStockTragetGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
