package com.oqpo.api.web.dto.request.inoutmng;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class SpplyDeliDtlGridRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @NotBlank
    @ApiModelProperty(value = "공급업체코드")
    private String sSpplyId;

    @NotBlank
    @ApiModelProperty(value = "시작일자")
    private String fromDt;

    @NotBlank
    @ApiModelProperty(value = "종료일자")
    private String toDt;


    @ApiModelProperty(value = "납품창고아이디")
    private String sWhsId;

    @ApiModelProperty(value = "품목명")
    private String sItemNm;



    protected SpplyDeliDtlGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
