package com.oqpo.api.web.dto.request.job;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class JobGridRequest extends GridRequest {

    @ApiModelProperty(value = "시작일")
    private String fromDt;

    @ApiModelProperty(value = "종료일")
    private String toDt;

    @ApiModelProperty(value = "메뉴번호")
    private String menuNo;

    @ApiModelProperty(value = "액션타입")
    private String actTpCd;

    @ApiModelProperty(value = "사용자id")
    private String userId;

    protected JobGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
