package com.oqpo.api.web.dto.request.loanmng;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class LoanHistGridRequest extends GridRequest {

    @ApiModelProperty(value = "여신관리고유번호")
    private String sLoanMgntUnqNo;
    @ApiModelProperty(value = "입금지급구분")
    private String sDpstPayDvsn;
    @ApiModelProperty(value = "시작일")
    private String fromDt;
    @ApiModelProperty(value = "종료일")
    private String toDt;

    protected LoanHistGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
