package com.oqpo.api.web.dto.request.menu;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class SaveMenuRequest {
    @NotBlank
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "메뉴번호")
    private Integer menuNo;

    @NotBlank
    @ApiModelProperty(value = "메뉴ID")
    private String menuId;

    @ApiModelProperty(value = "상위메뉴번호")
    private Integer topMenuNo;

    @NotBlank
    @ApiModelProperty(value = "메뉴명")
    private String menuNm;

    @NotBlank
    @ApiModelProperty(value = "사용여부")
    private String useYn;

    @ApiModelProperty(value = "출력순번")
    private Integer viewNum;

    @ApiModelProperty(value = "접속URL")
    private String connUrl;

    @ApiModelProperty(value = "아이콘여부")
    private String iconYn;

    @ApiModelProperty(value = "메뉴상세내역")
    private String roleDesc;

    @ApiModelProperty(value = "view구분")
    private String openCd;
}
