package com.oqpo.api.web.dto.request.numb;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class SaveNumbRequest {

    @NotBlank
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "채번번호")
    private Integer numNo;

    @NotBlank
    @ApiModelProperty(value = "정의어")
    private String defiInfo;

    @NotBlank
    @ApiModelProperty(value = "채번명")
    private String numNm;

    @NotBlank
    @ApiModelProperty(value = "연 여부")
    private String yearChk;

    @NotBlank
    @ApiModelProperty(value = "월 여부")
    private String monthChk;

    @NotBlank
    @ApiModelProperty(value = "일 여부")
    private String dayChk;

    @ApiModelProperty(value = "시작번호")
    private Integer numStNo;

    @ApiModelProperty(value = "종료번호")
    private Integer numEdNo;

    @NotBlank
    @ApiModelProperty(value = "사용여부")
    private String useYn;


}
