package com.oqpo.api.web.dto.request.oper.iflink;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class InterfaceGridRequest extends GridRequest {

    @ApiModelProperty(value = "시작일")
    private String fromDt;
    @ApiModelProperty(value = "종료일")
    private String toDt;
    @ApiModelProperty(value = "연동정보")
    private String sLinkInfo;
    @ApiModelProperty(value = "I/F ID")
    private String sIfId;
    @ApiModelProperty(value = "사용여부")
    private String sUseYn;
    @ApiModelProperty(value = "I/F명")
    private String sIfNm;
    @ApiModelProperty(value = "통신방식")
    private String sComMethCd;

    protected InterfaceGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
