package com.oqpo.api.web.dto.request.oper.mailform;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class SaveMailFormRequest {
    @NotBlank
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "메일양식번호")
    private String mailFormNo ;

    @ApiModelProperty(value = "메일양식명")
    private String mailFormNm;

    @ApiModelProperty(value = "메일제목")
    private String mailSubject;

    @ApiModelProperty(value = "샹태코드")
    private String mailStatusCd;

    @ApiModelProperty(value = "파일번호")
    private String fileNo;

    @ApiModelProperty(value = "메일내역")
    private String mailDesc;
}
