package com.oqpo.api.web.dto.request.oper.pop;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class SavePopRequest {
    @NotBlank
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "팝업번호")
    private String popNo ;

    @NotBlank
    @ApiModelProperty(value = "팝업명")
    private String popNm ;

    @NotBlank
    @ApiModelProperty(value = "게시시작일")
    private String popStDay ;

    @NotBlank
    @ApiModelProperty(value = "게시종료일")
    private String popEdDay ;

    @NotBlank
    @ApiModelProperty(value = "삭제여부")
    private String delYn ;

    @NotBlank
    @ApiModelProperty(value = "팝업내용구분")
    private String popTypeCd ;

    @ApiModelProperty(value = "팝업내용")
    private String popDesc ;

    @ApiModelProperty(value = "팝업파일번호")
    private String popFileNo ;

    @NotBlank
    @ApiModelProperty(value = "노출위치")
    private String viewTargetCd ;

    @ApiModelProperty(value = "메뉴번호")
    private Integer menuNo ;

    
    @ApiModelProperty(value = "팝업width")
    private Integer popWidth ;


    @ApiModelProperty(value = "팝업height")
    private Integer popHeight ;


}
