package com.oqpo.api.web.dto.request.oper.salemgr;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class SaleMgrGridRequest extends GridRequest {

    @ApiModelProperty(value = "시작일자")
    private String fromDt;

    @ApiModelProperty(value = "종료일자")
    private String toDt;

    @ApiModelProperty(value = "영업담당자명")
    private String sSaleMgrNm;

    @ApiModelProperty(value = "상태")
    private String sStCd;



    protected SaleMgrGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
