package com.oqpo.api.web.dto.request.oper.salemgr;

import com.oqpo.api.entity.oper.AfflSaleInfoEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;
import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class SaveSaleMgrMgnlRequest {
    @NotBlank
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @NotBlank
    @ApiModelProperty(value = "영업담당자아이디")
    private String saleMgrId ;

    @NotBlank
    @ApiModelProperty(value = "영업담당자명")
    private String saleMgrNm ;

    @NotBlank
    @ApiModelProperty(value = "상태코드")
    private String stCd ;

    @ApiModelProperty(value = "영업타입")
    private String saleType ;

    @ApiModelProperty(value = "패스워드")
    private String pswd ;

    @NotBlank
    @ApiModelProperty(value = "전화번호")
    private String rprstTelNo ;

    @NotBlank
    @ApiModelProperty(value = "FAX")
    private String rprstFaxNo ;

    @NotBlank
    @ApiModelProperty(value = "이메일")
    private String rprstEmai ;

    @ApiModelProperty(value = "우편번호")
    private String zipNo ;

    @ApiModelProperty(value = "주소1")
    private String addr1 ;

    @ApiModelProperty(value = "주소2")
    private String addr2 ;

    @ApiModelProperty(value = "x좌표")
    private String latX ;

    @ApiModelProperty(value = "Y좌표")
    private String longY ;

}
