package com.oqpo.api.web.dto.request.oper.usermng;

import com.oqpo.api.entity.oper.UserAuthInfoEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;
import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class SavePrivateUserRequest {
    @NotBlank
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "사용자id")
    private String userId;

    @NotBlank
    @ApiModelProperty(value = "전화번호")
    private String telNo;

    @NotBlank
    @ApiModelProperty(value = "이메일")
    private String email;

}
