package com.oqpo.api.web.dto.request.pomng.pchReq;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class PchReqSearchGridRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "매장아이디")
    private String sStoreId;

    @NotBlank
    @ApiModelProperty(value = "시작일자")
    private String fromDt;

    @NotBlank
    @ApiModelProperty(value = "종료일자")
    private String toDt;

    @ApiModelProperty(value = "창고번호")
    private String sWhsId;

    @ApiModelProperty(value = "상태")
    private String sPchReqStCd;

    @ApiModelProperty(value = "품목명")
    private String sItemNm;



    protected PchReqSearchGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
