package com.oqpo.api.web.dto.request.salesmng;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class ItemSalesGridRequest extends GridRequest {

    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;
    @ApiModelProperty(value = "매장아이디")
    private String sStoreId;
    @ApiModelProperty(value = "품목명")
    private String sItemNm;
    @ApiModelProperty(value = "조회시작일자")
    private String fromDt;
    @ApiModelProperty(value = "조회종료일자")
    private String toDt;

    protected ItemSalesGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
