package com.oqpo.api.web.dto.request.sign;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
public class FindIdRequest {
    @NotBlank
    @ApiModelProperty(value = "사용자명")
    private String userNm;

    @NotBlank
    @ApiModelProperty(value = "이메일")
    private String email;

    @NotBlank
    @ApiModelProperty(value = "전화번호")
    private String telNo;
}
