package com.oqpo.api.web.dto.request.sign;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
public class LogInBrandRequest {
    @NotBlank
    @ApiModelProperty(value = "사업자번호")
    private String bsnsRegNo;
}
