package com.oqpo.api.web.dto.request.sign;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
public class SigninAppRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @NotBlank
    @ApiModelProperty(value = "아이디")
    private String userId;

    @NotBlank
    @ApiModelProperty(value = "패스워드")
    private String password;

    @ApiModelProperty(value = "단말기아이디")
    private String deviId;

    @ApiModelProperty(value = "단말기타입")
    private String deviTpCd;

    @ApiModelProperty(value = "단말OS버전")
    private String deviOsVer;

    @ApiModelProperty(value = "앱레지스터")
    private String appReg;

    @ApiModelProperty(value = "앱버전")
    private String appVer;
}
