package com.oqpo.api.web.dto.request.sign;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
public class SigninRequest {

    @NotBlank
    @ApiModelProperty(value = "아이디")
    private String userId;

    @NotBlank
    @ApiModelProperty(value = "패스워드")
    private String password;
}
