package com.oqpo.api.web.dto.request.stinfo.brand;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class BrandSearchGridRequest extends GridRequest {

    @ApiModelProperty(value = "브랜드그룹아이디")
    private String sAfflShopId;

    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "브랜드명")
    private String sBrandNm;

    @ApiModelProperty(value = "브랜드타입")
    private String sBrandType;

    @ApiModelProperty(value = "상태")
    private String sStCd;



    protected BrandSearchGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
