package com.oqpo.api.web.dto.request.stinfo.item;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class ItemClassGridRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "품목분류 level 1")
    private String sItemClass1;

    @ApiModelProperty(value = "품목분류 level 2")
    private String sItemClass2;

    @ApiModelProperty(value = "품목분류 level 3")
   private String sItemClass3;

    @ApiModelProperty(value = "품목분류 level 4")
    private String sItemClass4;

    @ApiModelProperty(value = "품목분류명")
    private String sItemClassNm;



    protected ItemClassGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
