package com.oqpo.api.web.dto.request.stinfo.item;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class ItemGridRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "발주가능여부")
    private String sPodrPssblDvsn;

    @ApiModelProperty(value = "품목상태")
    private String sItemStCd;

    @ApiModelProperty(value = "품목유형")
    private String sItemType;

    @ApiModelProperty(value = "품목타입 P 구매품목, S 판매품목")
    private String sItemGubun;

    @ApiModelProperty(value = "품목분류 Level1")
    private String sClass1;

    @ApiModelProperty(value = "품목분류 Level2")
    private String sClass2;

    @ApiModelProperty(value = "품목분류 Level3")
    private String sClass3;

    @ApiModelProperty(value = "품목분류 Level4")
    private String sClass4;

    @ApiModelProperty(value = "품목명")
    private String sItemNm;

    @ApiModelProperty(value = "엑셀업로드여부")
    private String uploadYn;

    protected ItemGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
