package com.oqpo.api.web.dto.request.stinfo.item;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class ItemPopWishListGridRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @NotBlank
    @ApiModelProperty(value = "매장아이디")
    private String sStoreId;

    @NotBlank
    @ApiModelProperty(value = "위시리스트 번호")
    private String sWishListMgntNo;

    protected ItemPopWishListGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
