package com.oqpo.api.web.dto.request.stinfo.item;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class SaveItemListData {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "품목명")
    private String itemNm;

    @ApiModelProperty(value = "무게")
    private Float weight;

    @ApiModelProperty(value = "무게")
    private String weightUnitNm;

    @ApiModelProperty(value = "부피")
    private Float volume;

    @ApiModelProperty(value = "부피단위")
    private String volumeUnitNm;

    @ApiModelProperty(value = "가로")
    private Float width;

    @ApiModelProperty(value = "가로단위")
    private String widthUnitNm;

    @ApiModelProperty(value = "세로")
    private Float height;

    @ApiModelProperty(value = "세로단위")
    private String heightUnitNm;

    @ApiModelProperty(value = "높이")
    private Float high;

    @ApiModelProperty(value = "높이단위")
    private String highUnitNm;

    @ApiModelProperty(value = "유통기한여부")
    private String expryYn;

    @ApiModelProperty(value = "유통기한기간")
    private Integer expryPeriod;

    @ApiModelProperty(value = "반품구분코드")
    private String rtnDvsnNm;

    @ApiModelProperty(value = "수입구분코드")
    private String impDvsnNm;

    @ApiModelProperty(value = "발주가능구분")
    private String podrPssblDvsnNm;

    @ApiModelProperty(value = "구매품목여부")
    private String pchItemYn;

    @ApiModelProperty(value = "판매품목여부")
    private String saleItemYn;

    @ApiModelProperty(value = "품목유형")
    private String itemTypeNm;

    @ApiModelProperty(value = "단위")
    private String unitNm;

    @ApiModelProperty(value = "반품가능여부")
    private String rtnPssblYn;

    @ApiModelProperty(value = "바코드")
    private String barcode;
    @ApiModelProperty(value = "매장배송구분")
    private String storeDeliTypeNm;
}
