package com.oqpo.api.web.dto.request.stinfo.item;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Getter
@Setter
public class SaveItemListRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "품목 리스트")
    private List<SaveItemListData> list;

}
