package com.oqpo.api.web.dto.request.stinfo.spply;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class SpplyPopGridRequest extends GridRequest {
    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "공급사명")
    private String sSpplyNm;




    protected SpplyPopGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
