package com.oqpo.api.web.dto.request.stockmng;

import com.oqpo.api.entity.stockmng.WhsMgntBaseLocEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;
import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class PopWhsLocationRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "매장아이디")
    private String sStoreId;

    @ApiModelProperty(value = "창고명")
    private String sWhsNm;

    @ApiModelProperty(value = "창고구분")
    private String sWhsDvsn;

    protected PopWhsLocationRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
