package com.oqpo.api.web.dto.request.stockmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class ProcStockRequest {

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "소스 창고아이디")
    private String sourceWhsId;
    @ApiModelProperty(value = "소스 LOCATION")
    private String sourceLocation;

    @ApiModelProperty(value = "타켓 창고아이디")
    private String targetWhsId;
    @ApiModelProperty(value = "타켓 LOCATION")
    private String targetLocation;

    @ApiModelProperty(value = "품목아이디")
    private String itemId;
    @ApiModelProperty(value = "이동수량")
    private int moveQty;
}
