package com.oqpo.api.web.dto.request.stockmng;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StatusDmandFrcstRequest {

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "기간수(최대6)")
    private Integer termCnt;

    @ApiModelProperty(value = "품목아이디")
    private String itemId;

    @ApiModelProperty(value = "수요예측방법")
    @JsonIgnore
    private String method;

    @ApiModelProperty(value = "수요예측 대상 기간")
    @JsonIgnore
    private String target;

    @ApiModelProperty(value = "조회요청 일자")
    @JsonIgnore
    private String baseDate;

    @ApiModelProperty(value = "조회월 데이터")
    @JsonIgnore
    private Integer rcVal1;
    @ApiModelProperty(value = "다음월 데이터")
    @JsonIgnore
    private Integer rcVal2;
    @ApiModelProperty(value = "다다음월 데이터")
    @JsonIgnore
    private Integer rcVal3;

}
