package com.oqpo.api.web.dto.request.stockmng;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class StockHistGridRequest extends GridRequest {

    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;
    @ApiModelProperty(value = "창고아이디")
    private String sWhsId;
    @ApiModelProperty(value = "LOCATION")
    private String sLocation;
    @ApiModelProperty(value = "품목아이디")
    private String sItemId;
    @ApiModelProperty(value = "입출고구분")
    private String sInoutCd;

    @ApiModelProperty(value = "시작일")
    private String fromDt;
    @ApiModelProperty(value = "종료일")
    private String toDt;

    protected StockHistGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
