package com.oqpo.api.web.dto.request.stockmng;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class WhsLocationItemListRequest  extends GridRequest {
    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @NotBlank
    @ApiModelProperty(value = "창고아이디")
    private String whsId;

    @NotBlank
    @ApiModelProperty(value = "LOCATION")
    private String location;

    protected WhsLocationItemListRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
