package com.oqpo.api.web.dto.request.stockmng;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class WhsMngGridRequest extends GridRequest {

    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;
    @ApiModelProperty(value = "매장아이디")
    private String sStoreId;

    @ApiModelProperty(value = "창고관리구분(본사,매장)")
    private String sWhsDvsn;
    @ApiModelProperty(value = "창고상태코드")
    private String sWhsStCd;
    @ApiModelProperty(value = "창고명")
    private String sWhsNm;

    protected WhsMngGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
