package com.oqpo.api.web.dto.request.sttlmng;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class SttlStateGridRequest extends GridRequest {

    @ApiModelProperty(value = "매장/공급업체구분")
    private String sGubun;
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;
    @ApiModelProperty(value = "매장아이디")
    private String sStoreId;
    @ApiModelProperty(value = "공급사아이디")
    private String sSpplyId;
    @ApiModelProperty(value = "품목명")
    private String sItemNm;
    @ApiModelProperty(value = "정산상태코드")
    private String sSttlStCd;
    @ApiModelProperty(value = "조회시작일자")
    private String fromDt;
    @ApiModelProperty(value = "조회종료일자")
    private String toDt;
    @ApiModelProperty(value = "페이지구분")
    private String pageType;

    protected SttlStateGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
