package com.oqpo.api.web.dto.response.auth;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class AuthSearchResponse {
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "권한코드")
    private String authNo;

    @ApiModelProperty(value = "권한명")
    private String authNm;

    @ApiModelProperty(value = "상위메뉴명")
    private String topMenuNm;

    @ApiModelProperty(value = "상위메뉴번호")
    private Integer topMenuNo;
}
