package com.oqpo.api.web.dto.response.code;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class CodeDtlResponse {
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "코드")
    private String codeCd;

    @ApiModelProperty(value = "상세코드")
    private String codeDtlCd;

    @ApiModelProperty(value = "출력순번")
    private Integer viewNum;

    @ApiModelProperty(value = "상세코드명")
    private String codeDtlNm;

    @ApiModelProperty(value = "비고")
    private String codeDesc;

    @ApiModelProperty(value = "사용여부")
    private String useYn;
}
