package com.oqpo.api.web.dto.response.inoutmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class ColSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "수거지시번호") private String colCmdUnqNo;
    @ApiModelProperty(value = "수거지시항번") private String colCmdDtlNo;
    @ApiModelProperty(value = "반품발주번호") private String rtnPodrUnqNo;
    @ApiModelProperty(value = "반품발주항번") private String rtnPodrDtlNo;
    @ApiModelProperty(value = "수거지시상태") private String colCmdDtlStCd;
    @ApiModelProperty(value = "수거지시상태명") private String colCmdDtlStNm;
    @ApiModelProperty(value = "품목아이디") private String itemId;
    @ApiModelProperty(value = "품목명") private String itemNm;
    @ApiModelProperty(value = "수거지창고") private String rtnWhsId;
    @ApiModelProperty(value = "수거지LOCATION") private String rtnLocation;
    @ApiModelProperty(value = "수거지창고명") private String rtnWhsNm;
    @ApiModelProperty(value = "수거구분") private String colDvsn;
    @ApiModelProperty(value = "수거구분명") private String colDvsnNm;
    @ApiModelProperty(value = "입고창고") private String whsId;
    @ApiModelProperty(value = "입고창고명") private String whsNm;
    @ApiModelProperty(value = "반품발주수량") private Integer rtnQty;
    @ApiModelProperty(value = "수거수량") private Integer colQty;
    @ApiModelProperty(value = "수거완료금액") private Long colAmt;
    @ApiModelProperty(value = "수거완료일") private String colDt;
    @ApiModelProperty(value = "수거확인자") private String colCnfmNm;
    @ApiModelProperty(value = "수거서번호") private String colPickUnqNo;

}
