package com.oqpo.api.web.dto.response.inoutmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class RtnStockTargetResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "매장아이디") private String storeId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "수거서번호") private String colPickUnqNo;
    @ApiModelProperty(value = "수거서항번") private String colPickDtlNo;
    @ApiModelProperty(value = "반품번호") private String rtnPodrUnqNo;
    @ApiModelProperty(value = "반품항번") private String rtnPodrDtlNo;
    @ApiModelProperty(value = "품목아이디") private String itemId;
    @ApiModelProperty(value = "품목명") private String itemNm;
    @ApiModelProperty(value = "수거수량") private Integer colQty;
    @ApiModelProperty(value = "수거요청수량") private Integer colReqQty;
    @ApiModelProperty(value = "반품발주수량") private Integer rodrQty;
    @ApiModelProperty(value = "수거금액") private Long colAmt;
    @ApiModelProperty(value = "반품입고창고") private String whsId;
    @ApiModelProperty(value = "반품입고창고location") private String location;
    @ApiModelProperty(value = "반품입고창고명") private String whsNm;
    @ApiModelProperty(value = "수거창고") private String rtnWhsId;
    @ApiModelProperty(value = "수거LOCATION") private String rtnLocation;
    @ApiModelProperty(value = "수거창고명") private String rtnWhsNm;
    @ApiModelProperty(value = "수거요청일") private String colReqDt;
    @ApiModelProperty(value = "수거예정일") private String colSchDt;
    @ApiModelProperty(value = "수거담당자명") private String pickMgrNm;
    @ApiModelProperty(value = "수거담당자연락처") private String pickMgrTelNo;
    @ApiModelProperty(value = "공급사아이디") private String spplyId;
    @ApiModelProperty(value = "공급사명") private String spplyNm;
    @ApiModelProperty(value = "단가") private Long unitAmt;
    @ApiModelProperty(value = "수거요청금액") private Long colReqAmt;

}
