package com.oqpo.api.web.dto.response.inoutmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class SpplyTargerRtnSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "반품발주번호") private String rtnPodrUnqNo;
    @ApiModelProperty(value = "반품발주항번") private String rtnPodrDtlNo;
    @ApiModelProperty(value = "품목아이디") private String itemId;
    @ApiModelProperty(value = "품목명") private String itemNm;
    @ApiModelProperty(value = "수거창고아이디") private String rtnWhsId;
    @ApiModelProperty(value = "수거창고명") private String rtnWhsNm;
    @ApiModelProperty(value = "수거LOCATION") private String rtnLocation;
    @ApiModelProperty(value = "단가") private Long unitAmt;
    @ApiModelProperty(value = "반품수량") private Integer rtnOdrQty;
    @ApiModelProperty(value = "반품금액") private Long rtnOdrAmt;
    @ApiModelProperty(value = "수거요청일") private String colReqDt;

}
