package com.oqpo.api.web.dto.response.inoutmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class WarehouseTargetResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "납품서번호") private String dlvSttmtUnqNo;
    @ApiModelProperty(value = "납품서번호") private String dlvSttmtDtlNo;
    @ApiModelProperty(value = "품목아이디") private String itemId;
    @ApiModelProperty(value = "품목명") private String itemNm;
    @ApiModelProperty(value = "발주금액") private Integer podrQty;
    @ApiModelProperty(value = "납품/수주 수량") private Integer dlvQty;
    @ApiModelProperty(value = "입고 수량") private Integer whsQty;
    @ApiModelProperty(value = "입고금액") private Long whsAmt;
    @ApiModelProperty(value = "단가") private Long unitAmt;
    @ApiModelProperty(value = "납품창고아이디") private String whsId;
    @ApiModelProperty(value = "납품LOCATION") private String location;
    @ApiModelProperty(value = "납품창고명") private String whsNm;
    @ApiModelProperty(value = "납품요청일") private String dlvReqDt;
    @ApiModelProperty(value = "납품예정일") private String dlvSchDt;
    @ApiModelProperty(value = "납품담당자명") private String dlvMgrNm;
    @ApiModelProperty(value = "납품담당자연락처") private String dlvMgrTelNo;
    @ApiModelProperty(value = "구매발주번호") private String pchPodrUnqNo;
    @ApiModelProperty(value = "구매발주항번") private String pchPodrDtlNo;
    @ApiModelProperty(value = "구매요청번호") private String pchReqUnqNo;
    @ApiModelProperty(value = "구매요청항번") private String pchReqDltNo;
    @ApiModelProperty(value = "단위") private String unit;
    @ApiModelProperty(value = "공급사아이디") private String spplyId;
    @ApiModelProperty(value = "공급사명") private String spplyNm;

}
