package com.oqpo.api.web.dto.response.job;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class JobResponse {
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "작업이력번호")
    private String jobNo;

    @ApiModelProperty(value = "접속자id")
    private String userId;

    @ApiModelProperty(value = "접속자명")
    private String userNm;

    @ApiModelProperty(value = "메뉴번호")
    private Integer menuNo;

    @ApiModelProperty(value = "메뉴명")
    private String menuNm;

    @ApiModelProperty(value = "액션타입")
    private String actTpCd;

    @ApiModelProperty(value = "액션타입명")
    private String actTpNm;

    @ApiModelProperty(value = "액션명")
    private String actNm;

    @ApiModelProperty(value = "ip")
    private String ip;

    @ApiModelProperty(value = "등록일자")
    private String addDt;

    @ApiModelProperty(value = "등록자")
    private String addId;
}
