package com.oqpo.api.web.dto.response.loanmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class UnpaidMngListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "정산관리고유번호")
    private String sttlMgntUnqNo;
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;
    @ApiModelProperty(value = "정산상태코드")
    private String sttlStCd;
    @ApiModelProperty(value = "정산부가상태명")
    private String sttlAddStNm;
    @ApiModelProperty(value = "정산상태명")
    private String sttlStNm;
    @ApiModelProperty(value = "정산요청일자")
    private String sttlReqDt;
    @ApiModelProperty(value = "정산요청금액")
    private Long sttlReqAmt;
    @ApiModelProperty(value = "정산확정일자")
    private String sttlDt;
    @ApiModelProperty(value = "정산확정금액")
    private Long sttlAmt;
    @ApiModelProperty(value = "미납금액")
    private Long unpaidAmt;
    @ApiModelProperty(value = "매장 계좌잔액")
    private Long acctBal;
    @ApiModelProperty(value = "여신구분")
    private String loanDvsn;
    @ApiModelProperty(value = "여신구분명")
    private String loanDvsnNm;
    @ApiModelProperty(value = "사용가능한도")
    private Long useAmtTotal;

}
