package com.oqpo.api.web.dto.response.oper.iflink;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class InterfaceSearchResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "IF번호")
    private String ifNo;
    @ApiModelProperty(value = "IF ID")
    private String ifId;
    @ApiModelProperty(value = "IF명")
    private String ifNm;
    @ApiModelProperty(value = "사용여부")
    private String useYn;
    @ApiModelProperty(value = "사용여부명")
    private String useYnNm;
    @ApiModelProperty(value = "통신방식명")
    private String comMethNm;
    @ApiModelProperty(value = "연동정보")
    private String linkInfo;
    @ApiModelProperty(value = "송수신구분명")
    private String srTpNm;
    @ApiModelProperty(value = "등록일")
    private String addDt;
}
