package com.oqpo.api.web.dto.response.oper.ntice;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.oqpo.api.entity.oper.NticeEntity;
import com.oqpo.api.entity.oper.PopEntity;
import com.oqpo.api.web.dto.response.oper.pop.LoginPopInfoResponse;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.List;
import java.util.stream.Collectors;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class MainNticeSearchResponse {




        @ApiModelProperty(value = "CRUD")
        private String viewCd;

        @ApiModelProperty(value = "브랜드그룹아이디")
        private String afflShopId;

        @ApiModelProperty(value = "브랜드그룹명")
        private String afflShopNm;

        @ApiModelProperty(value = "브랜드아이디")
        private String brandId;

        @ApiModelProperty(value = "브랜드명")
        private String brandNm;

        @ApiModelProperty(value = "공지번호")
        private String nticeNo;

        @ApiModelProperty(value = "공지제목")
        private String nticeTitl;

        @ApiModelProperty(value = "공지내용")
        private String nticeDesc;

        @ApiModelProperty(value = "타겟구분")
        private String targetCd;

        @ApiModelProperty(value = "타겟명")
        private String targetNm;

        @ApiModelProperty(value = "상태명")
        private String nticeStatNm;

        @ApiModelProperty(value = "게시시작일")
        private String notiStDay;

        @ApiModelProperty(value = "작성자")
        private String addId;

        @ApiModelProperty(value = "등록일")
        private String addDt;

}
