package com.oqpo.api.web.dto.response.oper.pop;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class PopSearchResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "팝업번호")
    private String popNo;

    @ApiModelProperty(value = "팝업제목")
    private String popNm;

    @ApiModelProperty(value = "출력타겟")
    private String viewTargetNm;

    @ApiModelProperty(value = "팝업상태")
    private String popStatNm;

    @ApiModelProperty(value = "게시일")
    private String popStDay;

    @ApiModelProperty(value = "등록일")
    private String addDt;

}
