package com.oqpo.api.web.dto.response.oper.usermng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class UserAuthResponse {
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "사용자 id")
    private String userId;

    @ApiModelProperty(value = "권한번호")
    private String authNo;

    @ApiModelProperty(value = "권한명")
    private String authNm;

    @ApiModelProperty(value = "권한상태")
    private String useYn;

    @ApiModelProperty(value = "권한상태명")
    private String useYnNm;

    @ApiModelProperty(value = "권한부여일")
    private String addDt;

}
