package com.oqpo.api.web.dto.response.pomng.pchOrd;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class SpplyPoOdrSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "구매발주번호") private String pchPodrUnqNo;
    @ApiModelProperty(value = "구매발주상태") private String pchOdrStCd;
    @ApiModelProperty(value = "구매발주상태명") private String pchOdrStNm;
    @ApiModelProperty(value = "구매발주일자") private String podrDt;
    @ApiModelProperty(value = "납품요청일자") private String dlvReqDt;
    @ApiModelProperty(value = "납품창고명") private String whsNm;
    @ApiModelProperty(value = "총 발주금액") private Long podrTotalAmt;
    @ApiModelProperty(value = "총 품목수량") private Integer podrItemQty;
    @ApiModelProperty(value = "발주담당자명") private String podrMgrNm;

}
