package com.oqpo.api.web.dto.response.pomng.pchReq;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class PchReqPoTargetSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "구매요청고유번호")
    private String pchReqUnqNo;

    @ApiModelProperty(value = "구매요청상세번호")
    private String pchReqDtlNo;

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "브랜드명")
    private String brandNm;

    @ApiModelProperty(value = "매장아이디")
    private String storeId;

    @ApiModelProperty(value = "매장명")
    private String storeNm;

    @ApiModelProperty(value = "공급사아이디")
    private String spplyId;

    @ApiModelProperty(value = "공급사명")
    private String spplyNm;

    @ApiModelProperty(value = "창고아이디")
    private String whsId;

    @ApiModelProperty(value = "창고명")
    private String whsNm;

    @ApiModelProperty(value = "창고상세코드")
    private String location;

    @ApiModelProperty(value = "창고상세명")
    private String locationNm;

    @ApiModelProperty(value = "품목아이디")
    private String itemId;

    @ApiModelProperty(value = "품목명")
    private String itemNm;

    @ApiModelProperty(value = "구매요청단가")
    private Integer unitAmt;

    @ApiModelProperty(value = "발주단가")
    private Integer poUnitAmt;

    @ApiModelProperty(value = "구매요청수량")
    private Integer pchReqQty;

    @ApiModelProperty(value = "납품요청일")
    private String dlvReqDt;

    @ApiModelProperty(value = "납품요청금액")
    private Integer pchReqAmt;

    @ApiModelProperty(value = "발주예상금액")
    private Integer pchOrdAmt;

    @ApiModelProperty(value = "리드타임")
    private Integer leadTime;

    @ApiModelProperty(value = "배송구분")
    private String dlvDvsn;

    @ApiModelProperty(value = "배송구분명")
    private String dlvDvsnNm;

}
