package com.oqpo.api.web.dto.response.rtnmng.rtnOrd;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class RtnOdrSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "반품발주고유번호") private String rtnPodrUnqNo;
    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "반품발주상태코드") private String rtnOdrStCd;
    @ApiModelProperty(value = "반품발주상태명") private String rtnOdrStNm;
    @ApiModelProperty(value = "반품발주일자") private String rtnOdrRegDt;
    @ApiModelProperty(value = "반품창고아이디") private String rtnWhsId;
    @ApiModelProperty(value = "반품LOCATION") private String rtnLocation;
    @ApiModelProperty(value = "반품창고명") private String rtnWhsNm;
    @ApiModelProperty(value = "반품LOCATION명") private String rtnLocationNm;
    @ApiModelProperty(value = "공급사아이디") private String spplyId;
    @ApiModelProperty(value = "공급사명") private String spplyNm;
    @ApiModelProperty(value = "입고창고아이디") private String whsId;
    @ApiModelProperty(value = "입고LOCATION") private String location;
    @ApiModelProperty(value = "입고창고명") private String whsNm;
    @ApiModelProperty(value = "입고LOCATION명") private String locationNm;
    @ApiModelProperty(value = "반품발주합계금액") private Long rtnDodrTotalAmt;
    @ApiModelProperty(value = "반품발주품목수량") private Integer rtnDodrItemQty;
    @ApiModelProperty(value = "수거요청일자") private String colReqDt;
    @ApiModelProperty(value = "수거구분") private String colDvsn;
    @ApiModelProperty(value = "수거구분명") private String colDvsnNm;
}
