package com.oqpo.api.web.dto.response.rtnmng.rtnReq;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class RtnReqSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "반품요청고유번호")
    private String rtnReqUnqNo;

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "브랜드명")
    private String brandNm;

    @ApiModelProperty(value = "매장아이디")
    private String storeId;

    @ApiModelProperty(value = "매장명")
    private String storeNm;

    @ApiModelProperty(value = "반품요청상태")
    private String rtnReqStCd;

    @ApiModelProperty(value = "반품요청상태명")
    private String rtnReqStNm;

    @ApiModelProperty(value = "납품장소")
    private String rtnWhsNm;

    @ApiModelProperty(value = "반품요청일")
    private String rtnReqDt;

    @ApiModelProperty(value = "반품요청품목수량")
    private Integer rtnReqItemQty;

    @ApiModelProperty(value = "반품요청합계금액")
    private Long rtnReqAmt;

    @ApiModelProperty(value = "수거요청일")
    private String colReqDt;

    @ApiModelProperty(value = "수거요청자아이디")
    private String rtnReqMgrId;

    @ApiModelProperty(value = "수거요청자명")
    private String rtnReqMgrNm;

    @ApiModelProperty(value = "반품요청반려일자")
    private String rtnRjctDt;

    @ApiModelProperty(value = "반품요청반려자명")
    private String rtnRjctNm;


}
