package com.oqpo.api.web.dto.response.stinfo.item;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class ItemSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "품목아이디")
    private String itemId;

    @ApiModelProperty(value = "품목명")
    private String itemNm;

    @ApiModelProperty(value = "품목유형")
    private String itemType;

    @ApiModelProperty(value = "품목유형명")
    private String itemTypeNm;

    @ApiModelProperty(value = "품목분류번호")
    private String itemClassMgntNo;

    @ApiModelProperty(value = "품목분류명")
    private String itemClassNm;

    @ApiModelProperty(value = "상태코드")
    private String itemStCd;

    @ApiModelProperty(value = "상태명")
    private String itemStNm;

    @ApiModelProperty(value = "발주가능구분")
    private String podrPssblDvsn;

    @ApiModelProperty(value = "발주가능명")
    private String podrPssblDvsnNm;

    @ApiModelProperty(value = "단위")
    private String unit;

    @ApiModelProperty(value = "단위명")
    private String unitNm;

    @ApiModelProperty(value = "구매품목여부")
    private String pchItemYn;

    @ApiModelProperty(value = "판매품목여부")
    private String saleItemYn;

    @ApiModelProperty(value = "브랜드아이디")
    private String brand_id;


}
