package com.oqpo.api.web.dto.response.stinfo.spply;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class SpplyPopSearchResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "브랜드명")
    private String brandNm;

    @ApiModelProperty(value = "공급사아이디")
    private String spplyId;

    @ApiModelProperty(value = "공급사명")
    private String spplyNm;

    @ApiModelProperty(value = "상태")
    private String stCd;

    @ApiModelProperty(value = "상태명")
    private String stNm;

}
