package com.oqpo.api.web.dto.response.stinfo.store;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class StoreSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "브랜드명")
    private String brandNm;

    @ApiModelProperty(value = "매장아이디")
    private String storeId;

    @ApiModelProperty(value = "매장명")
    private String storeNm;

    @ApiModelProperty(value = "사업자번호")
    private String bsnsRegNo;

    @ApiModelProperty(value = "매장구분")
    private String storeDvsn;

    @ApiModelProperty(value = "매장구분명")
    private String storeDvsnNm;

    @ApiModelProperty(value = "상태코드")
    private String storeStCd;

    @ApiModelProperty(value = "상태명")
    private String storeStNm;

    @ApiModelProperty(value = "등록일")
    private String sysRegDttm;




}
