package com.oqpo.api.web.dto.response.stockmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.oqpo.api.entity.stockmng.DmandFrcstCndtInfoEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class StatusDmandFrcstResponse {

    @ApiModelProperty(value = "1년전 구매기준 데이터")
    private String poData1Year;

    @ApiModelProperty(value = "최근 구매기준 데이터")
    private String poDataLast;

}
