package com.oqpo.api.entity.loanmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class LoanMgntDsptProcEntity implements Serializable {

    @ApiModelProperty(value = "입금관리번호")
    private String dsptMgntNo;
    @ApiModelProperty(value = "요청일자")
    private String reqDt;
    @ApiModelProperty(value = "요청시각")
    private String reqTm;
    @ApiModelProperty(value = "입금금액")
    private Long dpstAmt;
    @ApiModelProperty(value = "입금일자")
    private String dpstDt;
    @ApiModelProperty(value = "입금자명")
    private String dpstNm;
    @ApiModelProperty(value = "입금계좌번호")
    private String rcvAcctNo;
    @ApiModelProperty(value = "입금은행코드")
    private String dpstBnkCd;
    @ApiModelProperty(value = "입금은행명")
    private String dpstBnkNm;
    @ApiModelProperty(value = "입금상태코드")
    private String dpstStCd;
    @ApiModelProperty(value = "입금상태명")
    private String dpstStNm;
    @ApiModelProperty(value = "입금요청자아이디")
    private String dpstReqId;
    @ApiModelProperty(value = "입금요청자명")
    private String dpstReqNm;
    @ApiModelProperty(value = "입금승인자아이디")
    private String dpstAuthId;
    @ApiModelProperty(value = "입금승인자명")
    private String dpstAuthNm;
    @ApiModelProperty(value = "입금승인일자")
    private String dpstAuthDt;
    @ApiModelProperty(value = "입금승인시각")
    private String dpstAuthTm;
    @ApiModelProperty(value = "입금반려일자")
    private String dsptRjctDt;
    @ApiModelProperty(value = "입금반려시각")
    private String dsptRjctTm;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "입금승인여부")
    private String dpstAuthYn;
    @ApiModelProperty(value = "입금반려사유")
    private String dsptRjctRsn;
    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디")
    private String sysRegId;
    @ApiModelProperty(value = "시스템변경일시")
    private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디")
    private String sysChgId;

    @ApiModelProperty(value = "여신구분")
    private String loanDvsn;
    @ApiModelProperty(value = "여신구분명")
    private String loanDvsnNm;

    @ApiModelProperty(value = "수발주주문번호")
    private String poOrdNo;
    @ApiModelProperty(value = "PG사아이디")
    private String pgId;

    @ApiModelProperty(value = "정산관리고유번호(후불/PG사용안함)")
    private String sttlMgntUnqNo;

}
