package com.oqpo.api.entity.oper;


import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Getter
@Setter
@ToString
public class MenuEntity implements Serializable {
    private static final long serialVersionUID = -921350664624919620L;

    private Integer menuNo;
    private String menuId;
    private Integer topMenuNo;
    private String topMenuNm;
    private String menuNm;
    private String useYn;
    private Integer viewNum;
    private String connUrl;
    private String iconYn;
    private String roleDesc;
    private String openCd;
    private Integer level;
    private String useYnNm;
    private Integer bMenuCnt;
    private String idPathNm;
    private String sysTypeCd;


    List<MenuEntity> subMenuList;

    private MemberEntity member;
    private AuthEntity auth;
    private AuthDtlEntity authDtl;
    private UserAuthInfoEntity userAuth;
}
