package com.oqpo.api.entity.pomng;

import com.oqpo.api.entity.oper.FileEntity;
import com.oqpo.api.entity.stinfo.ItemUnitEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Getter
@Setter
@ToString
public class PchReqBaseInfoEntity implements Serializable {
    private static final long serialVersionUID = -3590936033715917450L;

    private String pchReqUnqNo;
    private String brandId;
    private String brandNm;
    private String storeId;
    private String storeNm;
    private String pchReqNm;
    private String pchReqDept;
    private String pchReqMgrNm;
    private String pchReqDt;
    private String pchReqTm;
    private String pchReqStCd;
    private String pchReqStNm;
    private String pchReqDvsn;
    private String pchReqDvsnNm;
    private String note;
    private Integer pchReqItemQty;
    private Integer pchReqTotalAmt;
    private String pchReqRjctDt;
    private String pchReqRjctNm;
    private String pchReqRjctRsn;
    private String pchReqMgrId;
    private String pchReqRjctId;
    private String dlvReqDt;
    private String whsId;
    private String whsNm;
    private String location;
    private String locationNm;
    private String sysRegDttm;
    private String sysRegId;
    private String sysChgDttm;
    private String sysChgId;
    private Integer pchApprAmt;
    private String pchApprYn;
    private String dlvDvsn;
    private String dlvDvsnNm;

    private PchReqDtlPtclEntity pchReqDtlInfo ;
    private ItemUnitEntity itemUnitInfo;
}
