package com.oqpo.api.entity.rtnmng;

import com.oqpo.api.entity.pomng.PchReqDtlPtclEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class RtnReqBaseInfoEntity implements Serializable {

    @ApiModelProperty(value = "반품요청고유번호") private String rtnReqUnqNo;
    @ApiModelProperty(value = "매장아이디") private String storeId;
    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "매장명") private String storeNm;
    @ApiModelProperty(value = "반품요청일자") private String rtnReqDt;
    @ApiModelProperty(value = "반품요청시각") private String rtnReqTm;
    @ApiModelProperty(value = "반품요청상태코드") private String rtnReqStCd;
    @ApiModelProperty(value = "반품요청상태명") private String rtnReqStNm;
    @ApiModelProperty(value = "반품요청담당자아이디") private String rtnReqMgrId;
    @ApiModelProperty(value = "반품요청담당자명") private String rtnReqMgrNm;
    @ApiModelProperty(value = "반품요청담당자이메일") private String rtnReqMgrEmal;
    @ApiModelProperty(value = "반품요청담당자전화번호") private String rtnReqMgrTelNo;
    @ApiModelProperty(value = "반품요청담당자휴대전화번호") private String rtnReqMgrMblNo;
    @ApiModelProperty(value = "창고구분") private String whsDvsn;
    @ApiModelProperty(value = "창고구분명") private String whsDvsnNm;
    @ApiModelProperty(value = "수거요청일자") private String colReqDt;
    @ApiModelProperty(value = "비고") private String note;
    @ApiModelProperty(value = "반품반려일자") private String rtnRjctDt;
    @ApiModelProperty(value = "반품반려자명") private String rtnRjctNm;
    @ApiModelProperty(value = "반품반려자아이디") private String rtnRjctId;
    @ApiModelProperty(value = "반품반려사유") private String rtnRjctRsn;
    @ApiModelProperty(value = "반품요청금액") private Long rtnReqAmt;
    @ApiModelProperty(value = "반품요청품목수") private Integer rtnReqItemQty;
    @ApiModelProperty(value = "반품창고아이디") private String rtnWhsId;
    @ApiModelProperty(value = "반품창고명") private String rtnWhsNm;
    @ApiModelProperty(value = "반품LOCATION") private String rtnLocation;
    @ApiModelProperty(value = "반품LOCATION명") private String rtnLocationNm;
    @ApiModelProperty(value = "시스템등록일시") private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디") private String sysRegId;
    @ApiModelProperty(value = "시스템변경일시") private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디") private String sysChgId;

    private RtnReqDtlPtclEntity rtnReqDtlInfo ;

}
