package com.oqpo.api.entity.settmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class StlMgntBaseInfoEntity implements Serializable {

    @ApiModelProperty(value = "정산관리고유번호")
    private String sttlMgntUnqNo;
    @ApiModelProperty(value = "정산요청일자")
    private String sttlReqDt;
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;
    @ApiModelProperty(value = "공급사아이디")
    private String spplyId;
    @ApiModelProperty(value = "공급사명")
    private String spplyNm;
    @ApiModelProperty(value = "정산상태코드")
    private String sttlStCd;
    @ApiModelProperty(value = "정산상태명")
    private String sttlStNm;
    @ApiModelProperty(value = "정산부가상태명")
    private String sttlAddStNm;
    @ApiModelProperty(value = "정산요청금액")
    private Long sttlReqAmt;
    @ApiModelProperty(value = "정산일자")
    private String sttlDt;
    @ApiModelProperty(value = "정산금액")
    private Long sttlAmt;
    @ApiModelProperty(value = "사용가능한도")
    private Long useAmtTotal;
    @ApiModelProperty(value = "정산반려사유")
    private String sttlRjctRsn;
    @ApiModelProperty(value = "정산등록담당자명")
    private String sttlRegMgrNm;
    @ApiModelProperty(value = "정산등록담당자아이디")
    private String sttlRegMgrId;
    @ApiModelProperty(value = "정산대상코드")
    private String sttlTargetCd;

    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디")
    private String sysRegId;
    @ApiModelProperty(value = "시스템등록자")
    private String sysRegNm;
    @ApiModelProperty(value = "시스템변경일시")
    private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디")
    private String sysChgId;

    @ApiModelProperty(value = "수납여부(후불사용)")
    private String rcptYn;
    @ApiModelProperty(value = "수납일자(후불사용)")
    private String rcptDt;
    @ApiModelProperty(value = "수납금액(후불사용)")
    private Long rcptAmt;
    @ApiModelProperty(value = "미납금액(후불사용)")
    private Long unpaidAmt;

    @ApiModelProperty(value = "계좌잔액")
    private Long acctBal;
    @ApiModelProperty(value = "여신구분")
    private String loanDvsn;
    @ApiModelProperty(value = "여신구분명")
    private String loanDvsnNm;

    @ApiModelProperty(value = "PG 몰아이디")
    private String mallId;
    @ApiModelProperty(value = "입금관리번호")
    private String dsptMgntNo;
    @ApiModelProperty(value = "입금상태코드")
    private String dpstStCd;

}
