package com.oqpo.api.entity.stinfo;

import com.oqpo.api.entity.oper.FileEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Getter
@Setter
@ToString
public class BrandEntity implements Serializable {
    private static final long serialVersionUID = -3590936033715917450L;

    private String brandId;
    private String brandNm;
    private String stCd;
    private String stNm;
    private String brandType;
    private String brandTypeNm;
    private String zipNo;
    private String addr1;
    private String addr2;
    private String latX;
    private String longY;
    private String telNo;
    private String faxNo;
    private String regDt;
    private String regId;
    private String emalAddr;
    private String delYn;
    private String bnkCd;
    private String bnkNm;
    private String acctNo;
    private String owacNm;
    private String afflShopId;
    private String afflShopNm;
    private String brandLogoFileNo;
    private String bsnsRegNo;
    private String corpRegNo;
    private String oqBrandId;
    private String sysRegDttm;
    private String sysRegId;
    private String sysChgDttm;
    private String sysChgId;
    private String ownerNm;
    private String pgId;
    private String pgNm;
    private String pgKey;
    private String pgAfflId;
    private String mallId;
    private String useYn;
    private String shmtColProcType;
    private String shmtColProcTypeNm;
    private String wishListUseYn;


    private List<FileEntity> fileEntity ;

}
