package com.oqpo.api.entity.stinfo;

import com.oqpo.api.entity.oper.FileEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Getter
@Setter
@ToString
public class ItemEntity implements Serializable {
    private static final long serialVersionUID = -3590936033715917450L;

    private String itemId ;
    private String itemNm ;
    private String pchUnit ;
    private String pchUnitNm ;
    private Float weight ;
    private String weightUnit ;
    private String weightUnitNm ;
    private Float volume ;
    private String volumeUnit ;
    private String volumeUnitNm ;
    private Float width ;
    private String widthUnit ;
    private String widthUnitNm ;
    private Float height ;
    private String heightUnit ;
    private String heightUnitNm ;
    private Float high ;
    private String highUnit ;
    private String highUnitNm ;
    private String expryYn ;
    private String rtnDvsn ;
    private String rtnDvsnNm ;
    private String brandId ;
    private String brandNm ;
    private String impDvsn ;
    private String impDvsnNm ;
    private String assetInfo ;
    private String stckUnit ;
    private String stckUnitNm ;
    private String podrPssblDvsn ;
    private String podrPssblDvsnNm ;
    private String pchItemYn ;
    private String saleItemYn ;
    private String itemStCd ;
    private String itemStNm ;
    private String itemType ;
    private String itemTypeNm ;
    private String saleUnit ;
    private String saleUnitNm ;
    private String unit ;
    private String unitNm ;
    private Integer expryPeriod ;
    private String rtnPssblYn ;
    private String itemImageFileNo ;
    private Integer oneBoxQty ;
    private String sysRegDttm ;
    private String sysRegId ;
    private String sysChgDttm ;
    private String sysChgId ;
    private String oqMenuCd;
    private String oqBrandId;
    private String barcode;
    private String storeDeliType;
    private String storeDeliTypeNm;


    private List<FileEntity> itemImageFileEntity ;
    private ItemClassEntity itemClassInfo;
    private ItemClassMngEntity itemClassMngInfo;
}
