package com.oqpo.api.entity.stinfo;

import com.oqpo.api.entity.oper.FileEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Getter
@Setter
@ToString
public class SpplyEntity implements Serializable {
    private static final long serialVersionUID = -3590936033715917450L;

    private String spplyId;
    private String spplyNm;
    private String stCd;
    private String stNm;
    private String corpType;
    private String corpTypeNm;
    private String bsnsRegNo;
    private String corpRegNo;
    private String ownerNm;
    private String ctgrBsns;
    private String bsnsCndt;
    private String corpDvsn;
    private String corpDvsnNm;
    private String areaCd;
    private String areaNm;
    private String mblNo;
    private String mgrNm;
    private String deptNm;
    private String mgrEmal;
    private String mgrTelNo;
    private String mgrMblNo;
    private String delYn;
    private String lstLoginDttm;
    private String zipNo;
    private String addr1;
    private String addr2;
    private String latX;
    private String longY;
    private String brandId;
    private String brandNm;
    private String bnkCd;
    private String bnkNm;
    private String acctNo;
    private String owacNm;
    private String bbookCopyFileNo;
    private String bsnsRegFileNo;
    private String sysRegDttm;
    private String sysRegId;
    private String sysChgDttm;
    private String sysChgId;
    private String faxNo;

    private List<FileEntity> fileBookCopyEntity ;

    private List<FileEntity> fileBsnsRegEntity ;

    List<SpplyMgrEntity> spplyMgrInfo ;

}
