package com.oqpo.api.entity.stinfo;

import com.oqpo.api.entity.loan.LoanInfoEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class StoreBaseInfoEntity implements Serializable {
    private static final long serialVersionUID = -3590936033715917450L;

    private String brandId;
    private String brandNm;
    private String storeId;
    private String storeNm;
    private String storeDvsn;
    private String storeDvsnNm;
    private String mblNo;
    private String openDt;
    private String closeDt;
    private String loanMgntUnqNo;
    private String loanDvsn;
    private String loanDvsnNm;
    private Integer limitAmt;
    private String rtnProcDvsn;
    private String rtnProcDvsnNm;
    private String zipNo;
    private String addr1;
    private String addr2;
    private String telNo;
    private String faxNo;
    private String emalAddr;
    private String storeStCd;
    private String storeStNm;
    private String bsnsRegNo;
    private String corpRegNo;
    private String ctgrBsns;
    private String bsnsCndt;
    private String bnkCd;
    private String bnkNm;
    private String acctNo;
    private String ownerNm;
    private String delYn;
    private String areaCd;
    private String areaNm;
    private String latX;
    private String longY;
    private String oqBrandId;
    private String oqStoreId;
    private String sysRegDttm;
    private String sysRegId;
    private String sysChgDttm;
    private String sysChgId;
    private String whsUseYn;
    private String owacNm;

    private String code;
    private String message;

    private LoanInfoEntity loanInfo ;
    private BrandEntity brandInfo;
}
