package com.oqpo.api.entity.stockmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

@Getter
@Setter
@ToString
public class StckCddMgntInfoEntity implements Serializable {

    @ApiModelProperty(value = "실사아이디")
    private String cddId;
    @ApiModelProperty(value = "실사일자")
    private String cddDt;
    @ApiModelProperty(value = "실사시각")
    private String cddTm;
    @ApiModelProperty(value = "실사구분")
    private String cddDvsn;
    @ApiModelProperty(value = "실사구분명")
    private String cddDvsnNm;
    @ApiModelProperty(value = "실사담당자명")
    private String cddMgrNm;
    @ApiModelProperty(value = "창고아이디")
    private String whsId;
    @ApiModelProperty(value = "창고명")
    private String whsNm;
    @ApiModelProperty(value = "LOCATION")
    private String location;
    @ApiModelProperty(value = "LOCATION명")
    private String locationNm;
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;
    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;
    @ApiModelProperty(value = "시스템등록아이디")
    private String sysRegId;
    @ApiModelProperty(value = "시스템변경일시")
    private String sysChgDttm;
    @ApiModelProperty(value = "시스템변경아이디")
    private String sysChgId;

}
