package com.oqpo.api.mapper.oper;

import com.oqpo.api.entity.oper.InterfaceEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface InterfaceMapper {

    List<InterfaceEntity> selectInterfaceGridList(@Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("sLinkInfo") String sLinkInfo, @Param("sIfId") String sIfId,
                                                  @Param("sUseYn") String sUseYn, @Param("sIfNm") String sIfNm, @Param("sComMethCd") String sComMethCd,
                                                  GridRequest gridRequest) throws Exception;

    int selectInterfaceGridCnt(@Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("sLinkInfo") String sLinkInfo, @Param("sIfId") String sIfId,
                               @Param("sUseYn") String sUseYn, @Param("sIfNm") String sIfNm, @Param("sComMethCd") String sComMethCd) throws Exception;

    InterfaceEntity selectInterfaceInfo(@Param("ifNo") String ifNo) throws Exception;

    int insertInterfaceInfo(@Param("userId") String userId, InterfaceEntity entity) throws Exception;

    int updateInterfaceInfo(@Param("userId") String userId, InterfaceEntity entity) throws Exception;

    int deleteInterfaceInfo(@Param("userId") String userId, InterfaceEntity entity) throws Exception;

}
