package com.oqpo.api.mapper.salesmng;


import com.oqpo.api.entity.settmng.StlMgntBaseInfoEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import com.oqpo.api.web.dto.response.salesmng.ItemSalesGridResponse;
import com.oqpo.api.web.dto.response.salesmng.StoreSalesGridResponse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SalesMngMapper {

    List<StoreSalesGridResponse> selectStoreSalesGridList(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId,
                                                          @Param("fromDt") String fromDt, @Param("toDt") String toDt, GridRequest gridRequest) throws Exception;

    int selectStoreSalesGridCnt(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId,
                                @Param("fromDt") String fromDt, @Param("toDt") String toDt) throws Exception;

    List<ItemSalesGridResponse> selectItemSalesGridList(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId,
                                                        @Param("sItemNm") String sItemNm,
                                                        @Param("fromDt") String fromDt, @Param("toDt") String toDt, GridRequest gridRequest) throws Exception;

    int selectItemSalesGridCnt(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId,
                               @Param("sItemNm") String sItemNm,
                               @Param("fromDt") String fromDt, @Param("toDt") String toDt) throws Exception;

}
