package com.oqpo.api.mapper.stinfo;

import com.oqpo.api.entity.stinfo.ItemUnitEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ItemUnitMapper {

    List<ItemUnitEntity> selectItemUnitGridList(@Param("sBrandId") String sBrandId, @Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("sUnitStCd") String sUnitStCd, @Param("sSpplyId") String sSpplyId, @Param("sClass1") String sClass1, @Param("sClass2") String sClass2, @Param("sClass3") String sClass3, @Param("sClass4") String sClass4, @Param("sItemNm") String sItemNm , GridRequest gridRequest)throws Exception;
    int selectItemUnitGridCnt(@Param("sBrandId") String sBrandId, @Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("sUnitStCd") String sUnitStCd, @Param("sSpplyId") String sSpplyId, @Param("sClass1") String sClass1, @Param("sClass2") String sClass2, @Param("sClass3") String sClass3, @Param("sClass4") String sClass4, @Param("sItemNm") String sItemNm)throws Exception;

    ItemUnitEntity selectItemUnitInfo(@Param("brandId") String brandId, @Param("brandUnitUnqNo") String brandUnitUnqNo)throws Exception;

    int selectItemUnitDupCnt(@Param("brandId") String brandId, @Param("spplyId") String spplyId, @Param("itemId") String itemId, @Param("contSttDt") String contSttDt)throws Exception;

    String selectItemUnitChaPass(@Param("brandUnitUnqNo") String brandUnitUnqNo, @Param("contSttDt") String contSttDt)throws Exception;


    int updateItemUnitContEnd(@Param("brandId") String brandId, @Param("brandUnitUnqNo") String brandUnitUnqNo, @Param("contEndDt") String contEndDt) throws Exception;

    int insertMergItemUnitInfo(@Param("userId") String userId, ItemUnitEntity entity) throws Exception;

    List<ItemUnitEntity> selectPopItemBrandUnitGridList(@Param("sBrandId") String sBrandId, @Param("sItemNm") String sItemNm, @Param("sPodrPssblDvsn") String sPodrPssblDvsn, @Param("sSpplyId") String sSpplyId, @Param("sWhsId") String sWhsId, @Param("sLocation") String sLocation, GridRequest gridRequest)throws Exception;
    int selectPopItemBrandUnitGridCnt(@Param("sBrandId") String sBrandId, @Param("sItemNm") String sItemNm, @Param("sPodrPssblDvsn") String sPodrPssblDvsn, @Param("sSpplyId") String sSpplyId, @Param("sWhsId") String sWhsId, @Param("sLocation") String sLocation)throws Exception;

    List<ItemUnitEntity> selectPopNewItemBrandUnitGridList(@Param("sBrandId") String sBrandId, @Param("sItemNm") String sItemNm, @Param("sPodrPssblDvsn") String sPodrPssblDvsn, @Param("sSpplyId") String sSpplyId, @Param("sWhsId") String sWhsId, @Param("sLocation") String sLocation, GridRequest gridRequest)throws Exception;
    int selectPopNewItemBrandUnitGridCnt(@Param("sBrandId") String sBrandId, @Param("sItemNm") String sItemNm, @Param("sPodrPssblDvsn") String sPodrPssblDvsn, @Param("sSpplyId") String sSpplyId, @Param("sWhsId") String sWhsId, @Param("sLocation") String sLocation)throws Exception;

    List<ItemUnitEntity> selectPopItemStoreUnitGridList(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("sItemNm") String sItemNm, @Param("sPodrPssblDvsn") String sPodrPssblDvsn, GridRequest gridRequest)throws Exception;
    int selectPopItemStoreUnitGridCnt(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("sItemNm") String sItemNm, @Param("sPodrPssblDvsn") String sPodrPssblDvsn)throws Exception;

    List<ItemUnitEntity> selectPopNewItemStoreUnitGridList(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("sItemNm") String sItemNm, @Param("sPodrPssblDvsn") String sPodrPssblDvsn, GridRequest gridRequest)throws Exception;
    int selectPopNewItemStoreUnitGridCnt(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("sItemNm") String sItemNm, @Param("sPodrPssblDvsn") String sPodrPssblDvsn)throws Exception;


    int insertItemUnitInfo(@Param("userId") String userId, ItemUnitEntity entity) throws Exception;
    int updateItemUnitInfo(@Param("userId") String userId, ItemUnitEntity entity) throws Exception;


    ItemUnitEntity selectBarcodeItemBrandUnitInfo(@Param("sBrandId") String sBrandId,@Param("sBarcode") String sBarcode)throws Exception;
    ItemUnitEntity selectBarcodeItemStoreUnitInfo(@Param("sBrandId") String sBrandId,@Param("sStoreId") String sStoreId,@Param("sBarcode") String sBarcode)throws Exception;


    List<ItemUnitEntity> selectPopItemStoreUnitWishGridList(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("sWishListMgntNo") String sWishListMgntNo, GridRequest gridRequest)throws Exception;
    int selectPopItemStoreUnitWishGridCnt(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("sWishListMgntNo") String sWishListMgntNo)throws Exception;

    List<ItemUnitEntity> selectPopWishGridList(@Param("sStoreId") String sStoreId)throws Exception;


}
