package com.oqpo.api.mapper.stinfo;


import com.oqpo.api.entity.stinfo.StoreItemUnitEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StoreItemUnitMapper {

    List<StoreItemUnitEntity> selectStoreItemUnitGridList(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId, @Param("sStoreNm") String sStoreNm , GridRequest gridRequest)throws Exception;
    int selectStoreItemUnitGridCnt(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId , @Param("sStoreNm") String sStoreNm )throws Exception;
/*
    List<StoreItemUnitEntity> selectSstoreItemUnitGridList(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId , GridRequest gridRequest)throws Exception;
    int selectSstoreItemUnitGridCnt(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId )throws Exception;
*/

    List<StoreItemUnitEntity> selectStoreItemUnitInfo(@Param("brandId") String brandId, @Param("storeId") String storeId, @Param("contSttDt") String contSttDt, @Param("contEndDt") String contEndDt)throws Exception;

    String selectStoreItemUnitContDateInfo(@Param("brandId") String brandId, @Param("storeId") String storeId, @Param("contSttDt") String contSttDt,  @Param("contEndDt") String contEndDt)throws Exception;



    String selectStoreItemUnitExistYn(@Param("brandId") String brandId, @Param("storeId") String storeId, @Param("contSttDt") String contSttDt,  @Param("contEndDt") String contEndDt)throws Exception;
    StoreItemUnitEntity selectStoreItemUnitContDtInfo(@Param("brandId") String brandId, @Param("storeId") String storeId)throws Exception;


    int updateStoreItemUnitContEnd(@Param("brandId") String brandId, @Param("storeId") String storeId, @Param("contEndDt") String contEndDt,  @Param("contSttDt") String contSttDt) throws Exception;

    int insertMergStoreItemUnitInfo(@Param("userId") String userId, @Param("brandId") String brandId, @Param("storeId") String storeId, @Param("contSttDt") String contSttDt, @Param("contEndDt") String contEndDt, List<StoreItemUnitEntity> gridUpdateData) throws Exception;

    int insertStoreItemUnitInfo(@Param("userId") String userId, @Param("brandId") String brandId, @Param("storeId") String storeId, @Param("contSttDt") String contSttDt, @Param("contEndDt") String contEndDt, List<StoreItemUnitEntity> gridUpdateData) throws Exception;
    int updateStoreItemUnitInfo(@Param("userId") String userId, @Param("brandId") String brandId, @Param("storeId") String storeId, @Param("contSttDt") String contSttDt, @Param("contEndDt") String contEndDt, List<StoreItemUnitEntity> gridUpdateData) throws Exception;



    List<StoreItemUnitEntity> selectStoreNewItemUnitInfo(@Param("brandId") String brandId)throws Exception;

    String selectStoreItemUnitEndDtInfo(@Param("brandId") String brandId, @Param("storeId") String storeId, @Param("contSttDt") String contSttDt)throws Exception;

    int updateStoreItemUnitChgContEnd(@Param("brandId") String brandId, @Param("storeId") String storeId, @Param("contSttDt") String contSttDt,  @Param("contEndDt") String contEndDt) throws Exception;

}
