package com.oqpo.api.mapper.stockmng;


import com.oqpo.api.entity.stockmng.StckCddMgntDtlEntity;
import com.oqpo.api.entity.stockmng.StckCddMgntInfoEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StockCddMapper {

    List<StckCddMgntInfoEntity> selectStockCddGridList(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId,
                                                       @Param("sWhsId") String sWhsId, @Param("sLocation") String sLocation,
                                                       @Param("sCddDvsn") String sCddDvsn, @Param("fromDt") String fromDt, @Param("toDt") String toDt,
                                                       GridRequest gridRequest) throws Exception;

    int selectStockCddGridCnt(@Param("sBrandId") String sBrandId, @Param("sStoreId") String sStoreId,
                              @Param("sWhsId") String sWhsId, @Param("sLocation") String sLocation,
                              @Param("sCddDvsn") String sCddDvsn, @Param("fromDt") String fromDt, @Param("toDt") String toDt) throws Exception;

    int insertStckCddMgntInfo(@Param("userId") String userId, StckCddMgntInfoEntity entity) throws Exception;

    int insertStckCddMgntDtl(@Param("userId") String userId, StckCddMgntDtlEntity entity) throws Exception;

    StckCddMgntInfoEntity selectStockCddMgntInfo(@Param("cddId") String cddId) throws Exception;

    List<StckCddMgntDtlEntity> selectStockCddDtlGridList(@Param("cddId") String cddId, GridRequest gridRequest) throws Exception;

    int selectStockCddDtlGridCnt(@Param("cddId") String cddId) throws Exception;

}
