package com.oqpo.api.web.dto.request.auth;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class AuthSearchGridRequest extends GridRequest {

    @ApiModelProperty(value = "권한타입")
    private String sAuthTpCd;

    @ApiModelProperty(value = "상위메뉴번호")
    private String sTopMenuNo;


    @ApiModelProperty(value = "권한명")
    private String sAuthNm;

    protected AuthSearchGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
