package com.oqpo.api.web.dto.request.code;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class CodeGridRequest extends GridRequest {
    @NotBlank
    @ApiModelProperty(value = "코드")
    private String codeCd;

    @ApiModelProperty(value = "사용여부")
    private String useYn;

    protected CodeGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
