package com.oqpo.api.web.dto.request.loanmng;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class DsptMngGridRequest extends GridRequest {

    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;
    @ApiModelProperty(value = "매장아이디")
    private String sStoreId;

    @ApiModelProperty(value = "입금상태")
    private String sDpstStCd;
    @ApiModelProperty(value = "조회시작입금일자")
    private String fromDt;
    @ApiModelProperty(value = "조회종료입금일자")
    private String toDt;

    protected DsptMngGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
