package com.oqpo.api.web.dto.request.loanmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;

@Data
public class EasypayPaymentCreateRequest {

    @ApiModelProperty(value = "브랜드아이디")
    @NotEmpty
    private String brandId;
    @ApiModelProperty(value = "매장아이디")
    @NotEmpty
    private String storeId;
    @ApiModelProperty(value = "결제금액")
    private Long goodsAmt;

}
