package com.oqpo.api.web.dto.request.menu;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class AuthMenuRequest {

    @NotBlank
    @ApiModelProperty(value = "상위메뉴번호")
    private String topMenuNo;

    @ApiModelProperty(value = "권한번호")
    private String authNo;
}
