package com.oqpo.api.web.dto.request.oper.iflink;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class SaveInterfaceRequest {

    @NotBlank
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "IF번호")
    private String ifNo;
    @ApiModelProperty(value = "IF ID")
    private String ifId;
    @ApiModelProperty(value = "IF명")
    private String ifNm;
    @ApiModelProperty(value = "사용여부")
    private String useYn;
    @ApiModelProperty(value = "연동정보")
    private String linkInfo;
    @ApiModelProperty(value = "통신방식코드")
    private String comMethCd;
    @ApiModelProperty(value = "송수신구분코드")
    private String srTpCd;
    @ApiModelProperty(value = "송수신URL")
    private String ifUrl;
    @ApiModelProperty(value = "API 설명")
    private String apiInfo;
    @ApiModelProperty(value = "전송파라메타설명")
    private String requestInfo;
    @ApiModelProperty(value = "수신파라메타설명")
    private String responseInfo;

}
