package com.oqpo.api.web.dto.request.oper.ntice;

import com.oqpo.api.entity.oper.NticeTargetEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;
import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class SaveNticeRequest {
    @NotBlank
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드그룹아이디")
    private String afflShopId;

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "공지번호")
    private String nticeNo;

    @NotBlank
    @ApiModelProperty(value = "타겟구분")
    private String targetCd;

    @NotBlank
    @ApiModelProperty(value = "공지제목")
    private String nticeTitl;

    @NotBlank
    @ApiModelProperty(value = "공지내용")
    private String nticeDesc;

    @ApiModelProperty(value = "삭제여부")
    private String delYn;

    @NotBlank
    @ApiModelProperty(value = "게시시작일")
    private String notiStDay;

    @NotBlank
    @ApiModelProperty(value = "게시종료일")
    private String notiEdDay;

    @ApiModelProperty(value = "파일번호")
    private String fileNo;

}
