package com.oqpo.api.web.dto.request.oper.usermng;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class UserGridRequest extends GridRequest {

    @ApiModelProperty(value = "브랜드그룹아이디")
    private String sAfflShopId;

    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "시작일")
    private String fromDt;

    @ApiModelProperty(value = "종료일")
    private String toDt;

    @ApiModelProperty(value = "사용자명")
    private String sUserNm;

    @ApiModelProperty(value = "상태")
    private String sUserStatCd;

    @ApiModelProperty(value = "사용자구분")
    private String sAuthTpCd;


    protected UserGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
