package com.oqpo.api.web.dto.request.pomng.pchOrd;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class PchOrdSearchGridRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "시작일자")
    private String fromDt;

    @NotBlank
    @ApiModelProperty(value = "종료일자")
    private String toDt;

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "구매발주상태")
    private String sPchOdrStCd;

    @ApiModelProperty(value = "공급사아이디")
    private String sSpplyId;

    @ApiModelProperty(value = "납품창고아이디")
    private String sWhsId;

    @ApiModelProperty(value = "품목명")
    private String sItemNm;



    protected PchOrdSearchGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
