package com.oqpo.api.web.dto.request.rtnmng;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class RtnOrdSearchGridRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "시작일자")
    private String fromDt;

    @NotBlank
    @ApiModelProperty(value = "종료일자")
    private String toDt;

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "반품발주상태")
    private String sRtnOdrStCd;

    @ApiModelProperty(value = "반품창고")
    private String sRtnWhsId;

    @ApiModelProperty(value = "수거구분")
    private String sColDvsn;

    @ApiModelProperty(value = "수거창고")
    private String sWhsId;

    @ApiModelProperty(value = "수거공급사")
    private String sSpplyId;

    @ApiModelProperty(value = "품목명")
    private String sItemNm;



    protected RtnOrdSearchGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
