package com.oqpo.api.web.dto.request.stinfo.item;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class ItemPopGridRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "매장아이디")
    private String sStoreId;

    @ApiModelProperty(value = "발주가능여부")
    private String sPodrPssblDvsn;

    @ApiModelProperty(value = "품목명")
    private String sItemNm;

    @ApiModelProperty(value = "공급사아이디")
    private String sSpplyId;

    @ApiModelProperty(value = "창고아이디")
    private String sWhsId;

    @ApiModelProperty(value = "Location")
    private String sLocation;

    protected ItemPopGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
