package com.oqpo.api.web.dto.request.stinfo.item;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class SaveItemClassMngInfolRequest {
    @NotBlank
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @NotBlank
    @ApiModelProperty(value = "브랜드번호")
    private String brandId;

    @ApiModelProperty(value = "품목분류번호")
    private String itemClassMgntNo;

    @ApiModelProperty(value = "Level1")
    private String itemClass1;

    @ApiModelProperty(value = "Level2")
    private String itemClass2;

    @ApiModelProperty(value = "Level3")
    private String itemClass3;

    @ApiModelProperty(value = "Level4")
    private String itemClass4;

    @ApiModelProperty(value = "품목분류명")
    private String itemClassNm;

    @ApiModelProperty(value = "출력순번")
    private Integer prnSeq;
}
