package com.oqpo.api.web.dto.request.stinfo.itemUnit;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class ItemUnitSearchGridRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "시작일자")
    private String fromDt;

    @ApiModelProperty(value = "종료일자")
    private String toDt;

    @ApiModelProperty(value = "상태")
    private String sUnitStCd;

    @ApiModelProperty(value = "공급사아이디")
    private String sSpplyId;

    @ApiModelProperty(value = "분류Level1")
    private String sClass1;

    @ApiModelProperty(value = "분류Level2")
    private String sClass2;

    @ApiModelProperty(value = "분류Level3")
    private String sClass3;

    @ApiModelProperty(value = "분류Level4")
    private String sClass4;

    @ApiModelProperty(value = "품목명")
    private String sItemNm;


    protected ItemUnitSearchGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
