package com.oqpo.api.web.dto.request.stinfo.itemUnit;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class SaveItemUnitInfolRequest {
    @NotBlank
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드단가고유번호")
    private String brandUnitUnqNo;

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "브랜드명")
    private String brandNm;

    @ApiModelProperty(value = "품목아이디")
    private String itemId;

    @ApiModelProperty(value = "품목명")
    private String itemNm;

    @ApiModelProperty(value = "공급사아이디")
    private String spplyId;

    @ApiModelProperty(value = "공급사명")
    private String spplyNm;

    @ApiModelProperty(value = "계약시작일자")
    private String contSttDt;

    @ApiModelProperty(value = "계약종료일자")
    private String contEndDt;

    @ApiModelProperty(value = "통화")
    private String curr;

    @ApiModelProperty(value = "단위")
    private String unit;

    @ApiModelProperty(value = "단가금액")
    private Integer unitAmt;

    @ApiModelProperty(value = "리드타임")
    private Integer leadTime;

    @ApiModelProperty(value = "배송조건")
    private String dlvCndt;

    @ApiModelProperty(value = "단기계약서파일번호")
    private String shortContFileNo;

    @ApiModelProperty(value = "공급사품목아이디")
    private String spplyItemId;

    @ApiModelProperty(value = "단가상태코드")
    private String unitStCd;

    @ApiModelProperty(value = "기준수량")
    private Integer stddQty;

    @ApiModelProperty(value = "매장판매기준수량")
    private Integer storeSaleStddQty;

    @ApiModelProperty(value = "매장판매단가금액")
    private Integer storeSaleUnitAmt;
}
