package com.oqpo.api.web.dto.request.stinfo.itemUnit;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;


@Getter
@Setter
public class SpplyItemUnitSearchGridRequest extends GridRequest {

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;

    @ApiModelProperty(value = "시작일자")
    private String fromDt;

    @ApiModelProperty(value = "종료일자")
    private String toDt;

    @ApiModelProperty(value = "상태")
    private String sUnitStCd;

    @NotBlank
    @ApiModelProperty(value = "공급사아이디")
    private String sSpplyId;


    @ApiModelProperty(value = "품목명")
    private String sItemNm;


    protected SpplyItemUnitSearchGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
