package com.oqpo.api.web.dto.request.stinfo.itemUnit;

import com.oqpo.api.entity.stinfo.StoreItemUnitEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.validation.constraints.NotBlank;
import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class StoreItemUnitInfolRequest {

    @NotBlank
    @ApiModelProperty(value = "매장아이디")
    private String storeId;

    @NotBlank
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @NotBlank
    @ApiModelProperty(value = "계약시작일자")
    private String contSttDt;

    @NotBlank
    @ApiModelProperty(value = "계약종료일자")
    private String contEndDt;




}
