package com.oqpo.api.web.dto.request.stockmng;

import com.oqpo.api.web.dto.request.GridRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class StockMngGridRequest extends GridRequest {

    @ApiModelProperty(value = "브랜드아이디")
    private String sBrandId;
    @ApiModelProperty(value = "매장아이디")
    private String sStoreId;
    @ApiModelProperty(value = "창고아이디")
    private String sWhsId;
    @ApiModelProperty(value = "LOCATION")
    private String sLocation;

    @ApiModelProperty(value = "품목상태")
    private String sItemStCd;
    @ApiModelProperty(value = "품목유형")
    private String sItemType;
    @ApiModelProperty(value = "품목타입 P 구매품목, S 판매품목")
    private String sItemGubun;

    @ApiModelProperty(value = "품목분류1")
    private String sItemClass1;
    @ApiModelProperty(value = "품목분류2")
    private String sItemClass2;
    @ApiModelProperty(value = "품목분류3")
    private String sItemClass3;
    @ApiModelProperty(value = "품목분류4")
    private String sItemClass4;

    @ApiModelProperty(value = "품목아이디")
    private String sItemId;
    @ApiModelProperty(value = "품목명")
    private String sItemNm;

    protected StockMngGridRequest(Integer gridSize, Integer gridPage, String sidx, String sord, Boolean pagingYn, Integer gridFirst) {
        super(gridSize, gridPage, sidx, sord, pagingYn, gridFirst);
    }
}
