package com.oqpo.api.web.dto.request.sttlmng;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class SttlReqProcRequest {

    @ApiModelProperty(value = "브랜드아이디")
    @NonNull
    private String brandId;

    @ApiModelProperty(value = "매장아이디")
    private String storeId;

    @ApiModelProperty(value = "공급사아이디")
    private String spplyId;

    @ApiModelProperty(value = "정산관리고유번호")
    @NonNull
    private String sttlMgntUnqNo;

    @ApiModelProperty(value = "정산요청일자")
    @NonNull
    private String sttlReqDt;

    @ApiModelProperty(value = "정산요청 데이터 리스트")
    private List<SttlReqProcData> sttlReqDataList;

}
