package com.oqpo.api.web.dto.response.act;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class ActionResponse {
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "메뉴번호")
    private Integer menuNo;

    @ApiModelProperty(value = "액션Id")
    private String actId;

    @ApiModelProperty(value = "액션타입")
    private String actTpCd;

    @ApiModelProperty(value = "액션타입명")
    private String actTpNm;

    @ApiModelProperty(value = "액션명")
    private String actNm;

    @ApiModelProperty(value = "사용여부")
    private String useYn;

    @ApiModelProperty(value = "접속url")
    private String connUrl;

    @ApiModelProperty(value = "쓰기여부")
    private String writeYn;


}
