package com.oqpo.api.web.dto.response.auth;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class AuthDtlResponse {
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "권한코드")
    private String authNo;

    @ApiModelProperty(value = "상위메뉴명")
    private String topMenuNm;

    @ApiModelProperty(value = "메뉴번호")
    private Integer menuNo;

    @ApiModelProperty(value = "메뉴명")
    private String menuNm;

    @ApiModelProperty(value = "쓰기여부")
    private String writeYn;

    @ApiModelProperty(value = "사용여부")
    private String useYn;

    @ApiModelProperty(value = "읽기여부")
    private String readYn;
}
