package com.oqpo.api.web.dto.response.inoutmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class ColTragetOdrSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "반품발주번호") private String rtnPodrUnqNo;
    @ApiModelProperty(value = "반품발주항번") private String rtnPodrDtlNo;
    @ApiModelProperty(value = "반품요청번호") private String rtnReqUnqNo;
    @ApiModelProperty(value = "반품요청항번") private String rtnReqDtlNo;
    @ApiModelProperty(value = "품목아이디") private String itemId;
    @ApiModelProperty(value = "품목명") private String itemNm;
    @ApiModelProperty(value = "수거창고아이디") private String rtnWhsId;
    @ApiModelProperty(value = "수거LOCATION") private String rtnLocation;
    @ApiModelProperty(value = "수거창고명") private String rtnWhsNm;
    @ApiModelProperty(value = "입고창고아이디") private String whsId;
    @ApiModelProperty(value = "입고LOCATION") private String location;
    @ApiModelProperty(value = "입고창고명") private String whsNm;
    @ApiModelProperty(value = "단가") private Long unitAmt;
    @ApiModelProperty(value = "반품요청수량") private Integer rtnReqQty;
    @ApiModelProperty(value = "반품발주수량") private Integer rtnOdrQty;
    @ApiModelProperty(value = "수거수량") private Integer colQty;
    @ApiModelProperty(value = "발주금액") private Long rtnAmt;
    @ApiModelProperty(value = "수거요청일") private String colReqDt;
    @ApiModelProperty(value = "매장아이디") private String storeId;

}
