package com.oqpo.api.web.dto.response.inoutmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class PickDtlSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "수거서번호") private String colPickUnqNo;
    @ApiModelProperty(value = "수거상태코드") private String pickStCd;
    @ApiModelProperty(value = "수거상태명") private String pickStNm;
    @ApiModelProperty(value = "수거생성일") private String colRegDt;
    @ApiModelProperty(value = "수거요청일") private String colReqDt;
    @ApiModelProperty(value = "수거예정일") private String colSchDt;
    @ApiModelProperty(value = "수거완료일") private String colCmpltDt;
    @ApiModelProperty(value = "품목아이디") private String itemId;
    @ApiModelProperty(value = "품목명") private String itemNm;
    @ApiModelProperty(value = "수거수량") private Integer colReqQty;
    @ApiModelProperty(value = "수거구분") private String rtnRsnDvsn;
    @ApiModelProperty(value = "수거구분명") private String rtnRsnDvsnNm;
    @ApiModelProperty(value = "수거단가") private Long unitAmt;
    @ApiModelProperty(value = "수거금액") private Long colReqAmt;
    @ApiModelProperty(value = "수거창고") private String whsNm;
    @ApiModelProperty(value = "납품담당자명") private String pickMgrNm;
    @ApiModelProperty(value = "납품담당자연락처") private String pickMgrTelNo;

}
