package com.oqpo.api.web.dto.response.inoutmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class ShmtOdrSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "구매발주번호") private String pchPodrUnqNo;
    @ApiModelProperty(value = "구매발주항번") private String pchPodrDtlNo;
    @ApiModelProperty(value = "품목아이디") private String itemId;
    @ApiModelProperty(value = "품목명") private String itemNm;
    @ApiModelProperty(value = "납품창고아이디") private String whsId;
    @ApiModelProperty(value = "납품창고명") private String whsNm;
    @ApiModelProperty(value = "납품LOCATION") private String location;
    @ApiModelProperty(value = "단가") private Long unitAmt;
    @ApiModelProperty(value = "발주수량") private Integer podrQty;
    @ApiModelProperty(value = "출고수량") private Integer shmtQty;
    @ApiModelProperty(value = "현 재고") private Integer stckQty;
    @ApiModelProperty(value = "유통기한여부") private String expryYn;
    @ApiModelProperty(value = "유통기한기간") private Integer expryPeriod;
    @ApiModelProperty(value = "유통일자") private String expryDate;
    @ApiModelProperty(value = "발주금액") private Long podrAmt;
    @ApiModelProperty(value = "납품요청일") private String dlvReqDt;
    @ApiModelProperty(value = "출고창고아이디") private String shmtWhsId;
    @ApiModelProperty(value = "출고LOCATION") private String shmtLocation;
    @ApiModelProperty(value = "출고창고명") private String shmtWhsNm;

}
