package com.oqpo.api.web.dto.response.inoutmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class ShmtOutSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "출고번호") private String shmtReqUnqNo;
    @ApiModelProperty(value = "출고항번") private String shmtReqDtlNo;
    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "구매발주번호") private String pchPodrUnqNo;
    @ApiModelProperty(value = "구매발주항번") private String pchPodrDtlNo;
    @ApiModelProperty(value = "출고상태") private String shmtReqStCd;
    @ApiModelProperty(value = "출고상태명") private String shmtReqStNm;
    @ApiModelProperty(value = "품목아이디") private String itemId;
    @ApiModelProperty(value = "품목명") private String itemNm;
    @ApiModelProperty(value = "납품창고아이디") private String whsId;
    @ApiModelProperty(value = "납품창고명") private String whsNm;
    @ApiModelProperty(value = "납품LOCATION") private String location;
    @ApiModelProperty(value = "출고수량") private Integer shmtQty;
    @ApiModelProperty(value = "출고금액") private Long shmtAmt;
    @ApiModelProperty(value = "입고수량") private Integer whsQty;
    @ApiModelProperty(value = "입고금액") private Long whsAmt;
    @ApiModelProperty(value = "입고일자") private String whsDt;
    @ApiModelProperty(value = "입고담당자") private String whsCnfmNm;
    @ApiModelProperty(value = "납품서번호") private String dlvSttmtUnqNo;




}
