package com.oqpo.api.web.dto.response.inoutmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class WarehouseSearchGridListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "발주번호") private String pchPodrUnqNo;
    @ApiModelProperty(value = "발주항번") private String pchPodrDtlNo;
    @ApiModelProperty(value = "납품서번호") private String dlvSttmtUnqNo;
    @ApiModelProperty(value = "납품항번") private String dlvSttmtDtlNo;
    @ApiModelProperty(value = "발주수량") private Integer podrQty;
    @ApiModelProperty(value = "납품수량") private Integer dlvQty;
    @ApiModelProperty(value = "입고수량") private Integer whsQty;
    @ApiModelProperty(value = "납품요청일") private String dlvReqDt;
    @ApiModelProperty(value = "납품예정일") private String dlvSchDt;
    @ApiModelProperty(value = "납품일자") private String dlvCmpltDt;
    @ApiModelProperty(value = "입고확인자") private String whsCnfmNm;
    @ApiModelProperty(value = "납품자명") private String dlvMgrNm;
    @ApiModelProperty(value = "납품자전화번호") private String dlvMgrTelNo;
    @ApiModelProperty(value = "품목번호") private String itemId;
    @ApiModelProperty(value = "품목명") private String itemNm;
    @ApiModelProperty(value = "단위") private String unit;
    @ApiModelProperty(value = "입고금액") private Long whsAmt;
}
