package com.oqpo.api.web.dto.response.oper.affl;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class AfflSearchResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;


    @ApiModelProperty(value = "브랜드그룹아이디")
    private String afflShopId;

    @ApiModelProperty(value = "브랜드그룹명")
    private String afflShopNm;

    @ApiModelProperty(value = "브랜드그룹약어")
    private String afflAbbr;

    @ApiModelProperty(value = "상태코드")
    private String stCd;

    @ApiModelProperty(value = "상태명")
    private String stNm;

}
