package com.oqpo.api.web.dto.response.oper.mailform;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class MailFormSearchResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "메일양식번호")
    private String mailFormNo;

    @ApiModelProperty(value = "메일양식명")
    private String mailFormNm;

    @ApiModelProperty(value = "상태코드")
    private String mailStatusCd;

    @ApiModelProperty(value = "상태명")
    private String mailStatusNm;

    @ApiModelProperty(value = "등록일")
    private String addDt;

}
