package com.oqpo.api.web.dto.response.oper.mainchart;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.oqpo.api.entity.oper.FileEntity;
import com.oqpo.api.entity.oper.NticeEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.List;
import java.util.stream.Collectors;

@Getter
@Setter
public class ChartResponse {

    @ApiModelProperty(value = "차트 데이터")
    private String chartData;

    @ApiModelProperty(value = "구매요청 건수")
    private Integer pr20Count;

    @ApiModelProperty(value = "입금액 (입금승인금액)")
    private Long dp02Amt;

    @ApiModelProperty(value = "미납금액")
    private Long unpaidAmt;

    @ApiModelProperty(value = "발주진행 건수")
    private Integer po30Count;

    @ApiModelProperty(value = "발주완료 건수")
    private Integer poEndCount;

    @ApiModelProperty(value = "구매가능금액")
    private Long poPsblAmt;

    @ApiModelProperty(value = "수주건수")
    private Integer ordersCount;

    @ApiModelProperty(value = "수주금액")
    private Long ordersAmt;

    @ApiModelProperty(value = "정산요청금액")
    private Long sttlReqAmt;

}

