package com.oqpo.api.web.dto.response.oper.salemgr;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class SaleMgrMgnSearchResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;


    @ApiModelProperty(value = "영업담당자아이디")
    private String saleMgrId;

    @ApiModelProperty(value = "영업담당자명")
    private String saleMgrNm;

    @ApiModelProperty(value = "상태코드")
    private String stCd;

    @ApiModelProperty(value = "상태명")
    private String stNm;

    @ApiModelProperty(value = "영업타입")
    private String saleType;

    @ApiModelProperty(value = "영업타입명")
    private String saleTypeNm;

    @ApiModelProperty(value = "등록일")
    private String regDt;

}
