package com.oqpo.api.web.dto.response.oper.usermng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class UserMngSearchResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드그룹아이디")
    private String afflShopId;

    @ApiModelProperty(value = "브랜드그룹아이디")
    private String afflShopNm;

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "브랜드명")
    private String brandNm;

    @ApiModelProperty(value = "매장아이디")
    private String storeId;

    @ApiModelProperty(value = "매장명")
    private String storeNm;

    @ApiModelProperty(value = "공급사아이디")
    private String spplyId;

    @ApiModelProperty(value = "공급사명")
    private String spplyNm;

    @ApiModelProperty(value = "권한코드")
    private String authTpCd;

    @ApiModelProperty(value = "권한명")
    private String authTpNm;

    @ApiModelProperty(value = "사용자ID")
    private String userId;

    @ApiModelProperty(value = "사용자명")
    private String userNm;

    @ApiModelProperty(value = "전화번호")
    private String telNo;

    @ApiModelProperty(value = "이메일")
    private String email;

    @ApiModelProperty(value = "상태코드")
    private String userStatCd;

    @ApiModelProperty(value = "상태코드명")
    private String userStatNm;

    @ApiModelProperty(value = "상태일시")
    private String userStatDt;

    @ApiModelProperty(value = "가입일")
    private String addDt;

    @ApiModelProperty(value = "마지막로그인일자")
    private String lastLoginDt;
}
