package com.oqpo.api.web.dto.response.oper.usermng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class UserPopSearchResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "사용자ID")
    private String userId;

    @ApiModelProperty(value = "사용자명")
    private String userNm;

    @ApiModelProperty(value = "상태코드명")
    private String userStatNm;
}
