package com.oqpo.api.web.dto.response.pomng.pchOrd;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class PchOdrSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "구매발주고유번호") private String pchPodrUnqNo;
    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "구매발주상태코드") private String pchOdrStCd;
    @ApiModelProperty(value = "구매발주상태명") private String pchOdrStNm;
    @ApiModelProperty(value = "발주일자") private String podrDt;
    @ApiModelProperty(value = "배송구분") private String dlvDvsn;
    @ApiModelProperty(value = "배송구분명") private String dlvDvsnNm;
    @ApiModelProperty(value = "납품창고명") private String whsNm;
    @ApiModelProperty(value = "납품LOCATION명") private String locationNm;
    @ApiModelProperty(value = "공급사아이디") private String spplyId;
    @ApiModelProperty(value = "공급사명") private String spplyNm;
    @ApiModelProperty(value = "발주합계금액") private Long podrTotalAmt;
    @ApiModelProperty(value = "발주품목수량") private Integer podrItemQty;
    @ApiModelProperty(value = "발주담당자명") private String podrMgrNm;
    @ApiModelProperty(value = "출하창고명") private String shmtWhsNm;
    @ApiModelProperty(value = "출하LOCATION명") private String shmtLocationNm;
}
