package com.oqpo.api.web.dto.response.pomng.pchReq;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class PchReqSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "구매요청고유번호")
    private String pchReqUnqNo;

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "브랜드명")
    private String brandNm;

    @ApiModelProperty(value = "매장아이디")
    private String storeId;

    @ApiModelProperty(value = "요청구분명")
    private String reqTypeNm;

    @ApiModelProperty(value = "구매요청명")
    private String pchReqNm;

    @ApiModelProperty(value = "구매요청상태코드")
    private String pchReqStCd;

    @ApiModelProperty(value = "구매요청상태명")
    private String pchReqStNm;

    @ApiModelProperty(value = "구매요청일")
    private String pchReqDt;

    @ApiModelProperty(value = "구매요청품목수량")
    private Integer pchReqItemQty;

    @ApiModelProperty(value = "구매요청합계금액")
    private Integer pchReqTotalAmt;

    @ApiModelProperty(value = "구매요청반려일자")
    private String pchReqRjctDt;

    @ApiModelProperty(value = "구매요청반려자명")
    private String pchReqRjctNm;

    @ApiModelProperty(value = "구매요청자명")
    private String pchReqMgrNm;

    @ApiModelProperty(value = "납기요청일")
    private String dlvReqDt;

    @ApiModelProperty(value = "납품장소")
    private String whsLocationNm;

    @ApiModelProperty(value = "구매요청자아이디")
    private String pchReqMgrId;


}
