package com.oqpo.api.web.dto.response.pomng.pchReq;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class PchWishListItem {
    @ApiModelProperty(value = "식별자")
    private String wishListMgntNo;
    @ApiModelProperty(value = "위시리스트명")
    private String wishListNm;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;
    @ApiModelProperty(value = "품목아이디")
    private String itemId;
    @ApiModelProperty(value = "품목명")
    private String itemNm;
    @ApiModelProperty(value = "단가")
    private String unitAmt;  
    @ApiModelProperty(value = "단위")
    private String unit;  
    @ApiModelProperty(value = "품목식별자")
    private String brandUnitUnqNo;  
    @ApiModelProperty(value = "매장단가")
    private String storeUnitUnqNo;  
    @ApiModelProperty(value = "구분")
    private String unitGubun;  

}
