package com.oqpo.api.web.dto.response.rtnmng.rtnOrd;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class SpplyRtnOdrSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드아이디") private String brandId;
    @ApiModelProperty(value = "브랜드명") private String brandNm;
    @ApiModelProperty(value = "반품발주번호") private String rtnPodrUnqNo;
    @ApiModelProperty(value = "반품발주상태") private String rtnOdrStCd;
    @ApiModelProperty(value = "반품발주상태명") private String rtnOdrStNm;
    @ApiModelProperty(value = "반품발주일자") private String rtnOdrRegDt;
    @ApiModelProperty(value = "수거요청일자") private String colReqDt;
    @ApiModelProperty(value = "수거창고명") private String rtnWhsNm;
    @ApiModelProperty(value = "총 반품금액") private Long rtnDodrTotalAmt;
    @ApiModelProperty(value = "총 반품 품목수량") private Integer rtnDodrItemQty;
    @ApiModelProperty(value = "반품담당자명") private String rtnMgrNm;

}
