package com.oqpo.api.web.dto.response.rtnmng.rtnReq;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class RtnReqTargetSearchListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "반품요청고유번호")
    private String rtnReqUnqNo;

    @ApiModelProperty(value = "반품요청상세번호")
    private String rtnReqDtlNo;

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "브랜드명")
    private String brandNm;

    @ApiModelProperty(value = "반품창고아이디")
    private String rtnWhsId ;

    @ApiModelProperty(value = "반품Location")
    private String rtnLocation;

    @ApiModelProperty(value = "반품창고명")
    private String rtnWhsNm;

    @ApiModelProperty(value = "반품Location명")
    private String rtnLocationNm;

    @ApiModelProperty(value = "공급사아이디")
    private String spplyId;

    @ApiModelProperty(value = "공급사명")
    private String spplyNm;

    @ApiModelProperty(value = "품목번호")
    private String itemId;

    @ApiModelProperty(value = "품목명")
    private String itemNm;

    @ApiModelProperty(value = "반품요청수량")
    private Integer rtnQty;

    @ApiModelProperty(value = "반품요청금액")
    private Long rtnAmt;

    @ApiModelProperty(value = "반품구분")
    private String rtnDvsn;


    @ApiModelProperty(value = "반품구분명")
    private String rtnDvsnNm;

    @ApiModelProperty(value = "반품요청일")
    private String rtnReqDt;

    @ApiModelProperty(value = "수거요청일")
    private String colReqDt;

    @ApiModelProperty(value = "반품사유구분")
    private String rtnRsnDvsn;

    @ApiModelProperty(value = "반품사유구분명")
    private String rtnRsnDvsnNm;

    @ApiModelProperty(value = "매장아이디")
    private String storeId;

    @ApiModelProperty(value = "창고구분")
    private String whsDvsn;

    @ApiModelProperty(value = "창고구분명")
    private String whsDvsnNm;

    @ApiModelProperty(value = "수거구분")
    private String colDvsn;

    @ApiModelProperty(value = "수거구분명")
    private String colDvsnNm;




}
