package com.oqpo.api.web.dto.response.salesmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.math.BigDecimal;


@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class StoreSalesGridResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;

    @ApiModelProperty(value = "구매수량")
    private BigDecimal whsQty;
    @ApiModelProperty(value = "공급가액")
    private BigDecimal supplyAmt;
    @ApiModelProperty(value = "판매금액")
    private BigDecimal storeAmt;
    @ApiModelProperty(value = "수입금액")
    private BigDecimal incomeAmt;

    @ApiModelProperty(value = "판품수량")
    private BigDecimal whsQty1;
    @ApiModelProperty(value = "반품공급가액")
    private BigDecimal supplyAmt1;
    @ApiModelProperty(value = "반품금액")
    private BigDecimal storeAmt1;
    @ApiModelProperty(value = "반품손실금액")
    private BigDecimal incomeAmt1;

    @ApiModelProperty(value = "총매출금액")
    private BigDecimal totIncomeAmt;

}
