package com.oqpo.api.web.dto.response.stinfo.affl;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class AfflShopBaseInfoSearchResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;


    @ApiModelProperty(value = "브랜드그룹아이디")
    private String afflShopId;

    @ApiModelProperty(value = "브랜드그룹명")
    private String afflShopNm;

    @ApiModelProperty(value = "기업형태코드")
    private String corpType;

    @ApiModelProperty(value = "사업자번호")
    private String bsnsRegNo;

    @ApiModelProperty(value = "기업형태명")
    private String corpTypeNm;

    @ApiModelProperty(value = "상태코드")
    private String stCd;

    @ApiModelProperty(value = "상태명")
    private String stNm;

    @ApiModelProperty(value = "대표자명")
    private String ownerNm;

    @ApiModelProperty(value = "대표전화번호")
    private String rprstTelNo;

    @ApiModelProperty(value = "가입기간")
    private String joinDt;
}
