package com.oqpo.api.web.dto.response.stinfo.item;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class ItemClassMngSearchResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드번호")
    private String brandId;

    @ApiModelProperty(value = "품목분류번호")
    private String itemClassMgntNo;

    @ApiModelProperty(value = "Level1")
    private String itemClass1;

    @ApiModelProperty(value = "Level2")
    private String itemClass2;

    @ApiModelProperty(value = "Level3")
    private String itemClass3;

    @ApiModelProperty(value = "Level4")
    private String itemClass4;

    @ApiModelProperty(value = "Level1명")
    private String itemClass1Nm;

    @ApiModelProperty(value = "Level2명")
    private String itemClass2Nm;

    @ApiModelProperty(value = "Level3명")
    private String itemClass3Nm;

    @ApiModelProperty(value = "Level4명")
    private String itemClass4Nm;

    @ApiModelProperty(value = "품목분류명")
    private String itemClassNm;

    @ApiModelProperty(value = "출력순번")
    private Integer prnSeq;


}
