package com.oqpo.api.web.dto.response.stinfo.itemUnit;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class ItemUnitSearchResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "브랜드단가고유번호")
    private String brandUnitUnqNo;

    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;

    @ApiModelProperty(value = "품목아이디")
    private String itemId;

    @ApiModelProperty(value = "품목명")
    private String itemNm;

    @ApiModelProperty(value = "공급사아이디")
    private String spplyId;

    @ApiModelProperty(value = "공급사명")
    private String spplyNm;

    @ApiModelProperty(value = "계약시작일자")
    private String contSttDt;

    @ApiModelProperty(value = "계약종료일자")
    private String contEndDt;

    @ApiModelProperty(value = "통화")
    private String curr;

    @ApiModelProperty(value = "통화명")
    private String currNm;

    @ApiModelProperty(value = "단위")
    private String unit;

    @ApiModelProperty(value = "단위명명")
   private String unitNm;

    @ApiModelProperty(value = "단가금액")
    private Integer unitAmt;

    @ApiModelProperty(value = "리드타임")
    private Integer leadTime;

    @ApiModelProperty(value = "공급사품목아이디")
    private String spplyItemId;

    @ApiModelProperty(value = "단가상태코드")
    private String unitStCd;

    @ApiModelProperty(value = "단가상태명")
    private String unitStNm;

    @ApiModelProperty(value = "기준수량")
    private Integer stddQty;

}
