package com.oqpo.api.web.dto.response.stockmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class LocInfoListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "LOCATION")
    private String location;
    @ApiModelProperty(value = "로케이션명")
    private String locationNm;
    @ApiModelProperty(value = "재고상태구분")
    private String stckDvsn;
    @ApiModelProperty(value = "재고상태구분명")
    private String stckDvsnNm;
    @ApiModelProperty(value = "창고상태코드")
    private String locStCd;
    @ApiModelProperty(value = "창고상태명")
    private String locStNm;

    @ApiModelProperty(value = "로케이션 기본여부")
    private String locBaseYn;

}
