package com.oqpo.api.web.dto.response.stockmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class StockCddDtlListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "실사아이디")
    private String cddId;
    @ApiModelProperty(value = "브랜드아이디")
    private String brandId;
    @ApiModelProperty(value = "브랜드명")
    private String brandNm;
    @ApiModelProperty(value = "매장아이디")
    private String storeId;
    @ApiModelProperty(value = "매장명")
    private String storeNm;
    @ApiModelProperty(value = "창고아이디")
    private String whsId;
    @ApiModelProperty(value = "창고명")
    private String whsNm;
    @ApiModelProperty(value = "LOCATION")
    private String location;
    @ApiModelProperty(value = "LOCATION명")
    private String locationNm;

    @ApiModelProperty(value = "실사순번")
    private Integer cddSeq;
    @ApiModelProperty(value = "품목아이디")
    private String itemId;
    @ApiModelProperty(value = "품목명")
    private String itemNm;
    @ApiModelProperty(value = "단위(코드: DSTRBT_COST_UNIT)")
    private String unit;
    @ApiModelProperty(value = "전산기존수량")
    private Integer comExstQty;
    @ApiModelProperty(value = "실사수량")
    private Integer cddQty;
    @ApiModelProperty(value = "변동수량")
    private Integer chgQty;

}
