package com.oqpo.api.web.dto.response.stockmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.math.BigDecimal;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class StockHistListResponse {

    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "입출고구분")
    private String inoutCd;
    @ApiModelProperty(value = "입출고구분명")
    private String inoutNm;
    @ApiModelProperty(value = "입고수량")
    private int inoutQty;
    @ApiModelProperty(value = "변경구분")
    private String chgDvsn;
    @ApiModelProperty(value = "변경구분명")
    private String chgDvsnNm;
    @ApiModelProperty(value = "관련번호")
    private String relationNo;
    @ApiModelProperty(value = "시스템등록일시")
    private String sysRegDttm;

}
