package com.oqpo.api.web.dto.response.stockmng;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.oqpo.api.entity.CodeEntity;
import com.oqpo.api.entity.stockmng.WhsMgntBaseInfoEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.List;
import java.util.stream.Collectors;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS) //null 값 전송
public class WhsLocationPopListResponse {

        @ApiModelProperty(value = "브랜드아이디")
        private String brandId;

        @ApiModelProperty(value = "브랜드명")
        private String brandNm;

        @ApiModelProperty(value = "창고아이디")
        private String whsId;

        @ApiModelProperty(value = "창고명")
        private String whsNm;

        @ApiModelProperty(value = "로케이션번호")
        private String location;

        @ApiModelProperty(value = "로케이션명")
        private String locationNm;

        @ApiModelProperty(value = "창고구분코드")
        private String stckDvsn;

        @ApiModelProperty(value = "창고구분명")
        private String stckDvsnNm;

}
