package com.oqpo.api.web.dto.response.ver;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
@JsonInclude(JsonInclude.Include.ALWAYS)
public class VerInfoSearchResponse {
    @ApiModelProperty(value = "CRUD")
    private String viewCd;

    @ApiModelProperty(value = "앱버전번호")
    private String appNo;

    @ApiModelProperty(value = "APP버전")
    private String appVer;

    @ApiModelProperty(value = "버전설명")
    private String desVer;

    @ApiModelProperty(value = "버전생성일")
    private String appVerDt;

}
